------------------------------------------------------------------------
r18473 | sigmunau | 2006-12-30 17:21:08 -0800 (Sat, 30 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

transcode.c: reset pointer and size info for extradata when freeing
the pointer. Fixes #940

------------------------------------------------------------------------
r18472 | sigmunau | 2006-12-30 10:42:15 -0800 (Sat, 30 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

live555.cpp: Add support for quicktime specific audio
doesn't work for the sample stream I tested, but I think that stream
is bad

------------------------------------------------------------------------
r18471 | sigmunau | 2006-12-30 10:39:45 -0800 (Sat, 30 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/b4s.c

b4s.c: Create meta before using them

------------------------------------------------------------------------
r18470 | fkuehne | 2006-12-30 09:39:26 -0800 (Sat, 30 Dec 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* don't apply enable-pic twice. x264 is still broken on future darwin releases though.
------------------------------------------------------------------------
r18469 | jpsaman | 2006-12-30 03:48:53 -0800 (Sat, 30 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/vlccontrol2.cpp

Test for the pointer iso for the pointer to the pointer. Fixes bug with get_aspectRatio().

------------------------------------------------------------------------
r18468 | sigmunau | 2006-12-29 17:51:23 -0800 (Fri, 29 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: Added support for theora in mkv. Fixes #925
(not particularly beautiful code, but it works)

------------------------------------------------------------------------
r18467 | damienf | 2006-12-29 11:24:46 -0800 (Fri, 29 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

- make pthreads-win32 build on MinGW/cygwin

------------------------------------------------------------------------
r18466 | fkuehne | 2006-12-28 11:36:57 -0800 (Thu, 28 Dec 2006) | 1 line
Changed paths:
   M /trunk/Makefile.am

* very first step to support future darwin releases
------------------------------------------------------------------------
r18465 | courmisch | 2006-12-28 03:50:15 -0800 (Thu, 28 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/test/url.c

Use RFC4648 test vectors

------------------------------------------------------------------------
r18464 | jpsaman | 2006-12-27 02:27:09 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/share/applications/gnome-vlc-default.sh

Forget to set a default
------------------------------------------------------------------------
r18463 | jpsaman | 2006-12-27 02:23:05 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/share/applications/gnome-vlc-default.sh

Add Id svn:keywords
------------------------------------------------------------------------
r18462 | jpsaman | 2006-12-27 02:21:13 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/share/applications/gnome-vlc-default.sh

Make gnome-vlc-default.sh script work on FC4/5/6 too.
------------------------------------------------------------------------
r18461 | jpsaman | 2006-12-27 02:07:24 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/THANKS

Add Torsten's Spindler contribution to the THANKS file.
------------------------------------------------------------------------
r18460 | jpsaman | 2006-12-27 02:06:08 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/share/Makefile.am
   A /trunk/share/applications/gnome-vlc-default.sh

Script to set vlc as default player on GNOME desktops. Patch by Torsten Spindler <spindler _at_ tspindler _dot_ de>
------------------------------------------------------------------------
r18459 | littlejohn | 2006-12-26 08:41:21 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/README
   M /trunk/bindings/java/TODO
   M /trunk/bindings/java/VLCExample.java
   A /trunk/bindings/java/jvlc-eclipse
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/src/audio-jni.cc

Make audio functions compliant with current libvlc
------------------------------------------------------------------------
r18458 | fkuehne | 2006-12-26 05:22:37 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/vout.m

* be more accurate when fading in and out (refs #913 and hopefully fixes it)
------------------------------------------------------------------------
r18457 | dionoea | 2006-12-25 15:49:07 -0800 (Mon, 25 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Add missing *

------------------------------------------------------------------------
r18456 | dionoea | 2006-12-25 14:28:45 -0800 (Mon, 25 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_vout.h
   M /trunk/src/video_output/video_output.c

* add some locking the the video filter2 handling code in video output core. Fix #945 (untested)

------------------------------------------------------------------------
r18455 | Trax | 2006-12-24 14:03:02 -0800 (Sun, 24 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

* modules/access/dshow/dshow.cpp: Typo specfic -> specific.
------------------------------------------------------------------------
r18454 | zorglub | 2006-12-24 06:18:21 -0800 (Sun, 24 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/en50221.c
   M /trunk/modules/access/dvb/linux_dvb.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/control/gestures.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/http/util.c
   M /trunk/modules/control/motion.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/control/telnet.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/ts.c
   M /trunk/modules/misc/dummy/aout.c
   M /trunk/modules/misc/dummy/decoder.c
   M /trunk/modules/misc/dummy/encoder.c
   M /trunk/modules/misc/dummy/input.c
   M /trunk/modules/misc/dummy/interface.c
   M /trunk/modules/misc/dummy/renderer.c
   M /trunk/modules/misc/dummy/vout.c
   M /trunk/modules/misc/logger.c
   M /trunk/modules/mux/mpeg/csa.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/stream_out/standard.c
   M /trunk/modules/video_filter/motiondetect.c

More cleanup

------------------------------------------------------------------------
r18453 | zorglub | 2006-12-24 05:50:47 -0800 (Sun, 24 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/stats.c
   M /trunk/src/network/httpd.c
   M /trunk/src/stream_output/profiles.c
   M /trunk/src/stream_output/stream_output.c

A bit of cleanup here and there

------------------------------------------------------------------------
r18452 | zorglub | 2006-12-23 07:40:20 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Hopefully correct tokenization of open strings

------------------------------------------------------------------------
r18451 | xtophe | 2006-12-23 07:12:01 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Don't transform tavs to 4 spaces in Makefiles.

------------------------------------------------------------------------
r18450 | zorglub | 2006-12-23 06:18:49 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c

Unlock the playlist while waiting for input to finish so that input can freely use signal on the playlist whatever the context is (Closes:#937)

------------------------------------------------------------------------
r18449 | zorglub | 2006-12-23 04:20:23 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

Add extra debug to chase #934

------------------------------------------------------------------------
r18448 | zorglub | 2006-12-23 03:53:20 -0800 (Sat, 23 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/src/input/es_out.c

* Ensure garbage collector is called when disabling a video track (Closes:#935)
* Possible (not probable) fix for 934. Can't fix as building vlc on win32 is almost impossible

------------------------------------------------------------------------
r18447 | courmisch | 2006-12-23 02:37:03 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

Fix "File already exists" failure with moc (closes #941)

------------------------------------------------------------------------
r18446 | zorglub | 2006-12-23 02:36:47 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Wtf ?

------------------------------------------------------------------------
r18445 | zorglub | 2006-12-23 02:36:24 -0800 (Sat, 23 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

* Only allow playlist files in open playlist (Refs:#940)
* For the time being, hide simple open. Better three clicks than confusing 
  things :)

------------------------------------------------------------------------
r18444 | Trax | 2006-12-22 16:32:58 -0800 (Fri, 22 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/extended.cpp

* modules/gui/qt4/dialogs/extended.cpp: Typo Eqqualizer -> Equalizer.
------------------------------------------------------------------------
r18443 | zorglub | 2006-12-22 13:34:23 -0800 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/thread.c

Cleanup control and parser threads handling. Might fix #917

------------------------------------------------------------------------
r18442 | zorglub | 2006-12-22 13:14:11 -0800 (Fri, 22 Dec 2006) | 23 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_threads.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/input/access.c
   M /trunk/src/input/input.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/threads.c

Add facilities to report and enrich error messages. 

The idea is that a given error should be reported only once to the user.
At the moment, for example, we can get:
- "no suitable access module" (printed by module_Need)
 - "unable to create access" (printed by input/access)
 - "unable to open stream" (printed by input/input)
 - ...

The facilities provided here are:
* msg_StackSet( code, message ) : "throw" a new error
* msg_StackAdd( message ) : Append a message allowing to trace the message
* msg_StackMsg() : Retrieve the message

So, in the previous example, module_Need would msg_StackSet( code, "no
suitable access module"), then input/input would add "unable to create
access" and finally, input/input can print the "unable to open stream:
unable to create access: no suitable module" message.

The three functions are context-free, you don't need a vlc_object, so
that we can add verbose error reporting everywhere.


------------------------------------------------------------------------
r18441 | oaubert | 2006-12-22 08:24:21 -0800 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS

AUTHORS: e-mail address fix

------------------------------------------------------------------------
r18440 | courmisch | 2006-12-21 10:18:08 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Take program-transform-name into account when creating vlc symlinks

------------------------------------------------------------------------
r18439 | courmisch | 2006-12-21 10:05:54 -0800 (Thu, 21 Dec 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac

Escape antislash in CONFIGURE_LINE properly (I hope you like antislashes).
                                   ^^^^^^^^
                   As far as I checked (sed guru required).

------------------------------------------------------------------------
r18438 | oaubert | 2006-12-21 07:00:04 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/bindings/python/vlc_input.c
   M /trunk/bindings/python/vlc_instance.c
   M /trunk/bindings/python/vlc_mediacontrol.c
   M /trunk/bindings/python/vlc_module.c
   M /trunk/bindings/python/vlc_object.c
   M /trunk/bindings/python/vlc_position.c
   M /trunk/bindings/python/vlcglue.h
   M /trunk/bindings/python/vlcwidget.py
   M /trunk/bindings/python/vlcwrapper.py

python bindings: svn propset svn:keywords

------------------------------------------------------------------------
r18437 | oaubert | 2006-12-21 03:02:31 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/bindings/python/vlc_input.c
   M /trunk/bindings/python/vlc_instance.c

python bindings: completed libvlc bindings

------------------------------------------------------------------------
r18436 | oaubert | 2006-12-21 01:58:22 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h

include/vlc/libvlc.h: comment fixes

------------------------------------------------------------------------
r18435 | jb | 2006-12-21 01:20:26 -0800 (Thu, 21 Dec 2006) | 3 lines
Changed paths:
   M /trunk/NEWS

* Updating NEWS for VP60/VP61 . Ref [18408]


------------------------------------------------------------------------
r18434 | sigmunau | 2006-12-20 17:22:05 -0800 (Wed, 20 Dec 2006) | 9 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/src/video_output/video_output.c

src/video_output/video_output.c: Fixed double free in filter removal
code
qt4/components/extended_panels.cpp: Improved some dagerous string
parsing code. This whole function looks very ad hoc to me at the
moment and should be rewritten in a more robust way. In particular
this function will misbehave if a video filter exists whose name is a
substring of another video filter. This change here just makes it less
likely to crash...

------------------------------------------------------------------------
r18433 | sigmunau | 2006-12-20 16:07:11 -0800 (Wed, 20 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp

fix out of buffer read in equalizer code

------------------------------------------------------------------------
r18432 | jpsaman | 2006-12-20 14:11:54 -0800 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /trunk/activex/axvlc.idl
   M /trunk/activex/vlccontrol2.cpp
   M /trunk/include/vlc/libvlc.h
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/control/npolibvlc.h
   M /trunk/src/control/audio.c
   M /trunk/src/control/video.c

Audio track and channel support for JavaScript API. The ActiveX vlc.audio.channel interface still has a bug left.
------------------------------------------------------------------------
r18431 | xtophe | 2006-12-20 09:22:53 -0800 (Wed, 20 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Add a plugins/bindings line to the summary

------------------------------------------------------------------------
r18430 | xtophe | 2006-12-20 09:01:34 -0800 (Wed, 20 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Fix a small bug in header detection for Activex

------------------------------------------------------------------------
r18429 | jb | 2006-12-20 06:58:33 -0800 (Wed, 20 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Adding Open Menu entries.


------------------------------------------------------------------------
r18428 | zorglub | 2006-12-19 14:23:59 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/profiles.c

Make static a bunch of functions

------------------------------------------------------------------------
r18427 | xtophe | 2006-12-19 14:01:34 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

make update-po
------------------------------------------------------------------------
r18426 | courmisch | 2006-12-19 13:27:57 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/m4/flags.m4

Do not assume that CXXFLAGS and OBJCFLAGS accept anything that CFLAGS does

------------------------------------------------------------------------
r18425 | courmisch | 2006-12-19 13:26:46 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Fix implicit declaration problem

------------------------------------------------------------------------
r18424 | xtophe | 2006-12-19 12:18:55 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Don't use pic on win32. it confuses nasm

------------------------------------------------------------------------
r18423 | xtophe | 2006-12-19 11:58:54 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Manual install for pthread

------------------------------------------------------------------------
r18422 | xtophe | 2006-12-19 11:45:35 -0800 (Tue, 19 Dec 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/x264-svn-win32.patch

Refresh x264 patch and use pthread for x264 in win32


------------------------------------------------------------------------
r18421 | xtophe | 2006-12-19 09:42:01 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

pthread for win

------------------------------------------------------------------------
r18420 | fkuehne | 2006-12-19 09:34:26 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* gui behaviour change: the textfields are no longer disabled if another protocol is enabled through the knobs. the user can click the fields now to switch the protocol. I'm unsure whether this could and should be done in the disc tab as well. closes #914
------------------------------------------------------------------------
r18419 | xtophe | 2006-12-19 06:16:37 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

Fix win32 compilation

------------------------------------------------------------------------
r18418 | jb | 2006-12-19 02:53:09 -0800 (Tue, 19 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/extract.c

Dionoea's commit :D



------------------------------------------------------------------------
r18417 | fkuehne | 2006-12-18 15:22:55 -0800 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/fspanel.m

* hide the fspanel if VLC looses its front app state in fullscreen mode (by using the app switcher, etc.)
------------------------------------------------------------------------
r18416 | zorglub | 2006-12-18 14:03:30 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/include/vlc/vlc.h
   M /trunk/src/control/playlist.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/search.c

A bit of cleanup in libvlc playlist API. Preliminary work for: Refs:#457

------------------------------------------------------------------------
r18415 | zorglub | 2006-12-18 13:53:26 -0800 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/misc/threads.c

Untested states thread and gnu portable threads implementation of tls
Fix Win32 implementation

------------------------------------------------------------------------
r18414 | zorglub | 2006-12-18 13:40:12 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/misc/threads.c
   M /trunk/test/NativeLibvlcTest.py
   M /trunk/test/native/init.c
   M /trunk/test/native/tests.h
   A /trunk/test/native/threads.c
   M /trunk/test/setup.py

Added initial support for TLS (Thread Local Storage) variables

------------------------------------------------------------------------
r18413 | dionoea | 2006-12-18 13:14:53 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* extract now uses sqrt.

------------------------------------------------------------------------
r18412 | dionoea | 2006-12-18 13:13:07 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/extract.c

* Remove comments left in cut & paste.

------------------------------------------------------------------------
r18411 | dionoea | 2006-12-18 13:08:11 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/extract.c

* Make it possible to extract any color component from the video. (Red, Green and Blue are still hardcoded) Example: ./vlc ~/media/Muse-Concert.mpg --video-filter "extract{component=0xFFFF00}" will get you the yellow stuff.

------------------------------------------------------------------------
r18410 | jb | 2006-12-18 12:44:07 -0800 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   A /trunk/vlc.suse.spec

SuSE spec file thanks to DimStar, Dominique Leuenberger


------------------------------------------------------------------------
r18409 | fkuehne | 2006-12-18 03:34:46 -0800 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/macosx.m

* added an option to disable the fspanel
------------------------------------------------------------------------
r18408 | Trax | 2006-12-17 15:53:49 -0800 (Sun, 17 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/demux/nsv.c

* modules/codec/ffmpeg/ffmpeg.c and modules/demux/nsv.c: Add support for decoding VP60 and VP61
------------------------------------------------------------------------
r18407 | thresh | 2006-12-17 15:32:24 -0800 (Sun, 17 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Default disable gnomevfs access plugin as it doesn't work anyway

------------------------------------------------------------------------
r18406 | dionoea | 2006-12-17 12:42:32 -0800 (Sun, 17 Dec 2006) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/extract.c (from /trunk/modules/video_filter/invert.c:18404)

 * New color extraction video filter. Can be used to extract the Red, Green or Blue component from a video.
 * Add stuff about motiondetect and extract in the News (even though motiondetect isn't finished)

------------------------------------------------------------------------
r18405 | dionoea | 2006-12-17 09:58:21 -0800 (Sun, 17 Dec 2006) | 2 lines
Changed paths:
   R /trunk/modules/video_filter/motiondetect.c

Rewrite motion detect filter. It currently draws a white rectangle arround moving objects (on fixed backgrounds). I still need to add code to make it possible to trigger an action when movement is detected (i.e. a VLM command to start recording).

------------------------------------------------------------------------
r18404 | phmo95 | 2006-12-17 08:09:00 -0800 (Sun, 17 Dec 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/src/core-jni.cc

Fix include for WIN32 version.

------------------------------------------------------------------------
r18402 | zorglub | 2006-12-16 06:54:54 -0800 (Sat, 16 Dec 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_intf_strings.h
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.hpp
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.hpp
   A /trunk/modules/gui/qt4/pixmaps/go-next.png
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/res.qrc
   A /trunk/modules/gui/qt4/ui/video_effects.ui

Add video filters panel
Fix size of preference tree items

------------------------------------------------------------------------
r18401 | littlejohn | 2006-12-16 03:05:17 -0800 (Sat, 16 Dec 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/VLCExample.java
   M /trunk/bindings/java/org/videolan/jvlc/Audio.java
   M /trunk/bindings/java/org/videolan/jvlc/AudioIntf.java
   M /trunk/bindings/java/src/audio-jni.cc

bindings for new audio functions, thanks to Philippe Morin
------------------------------------------------------------------------
r18400 | jb | 2006-12-15 16:20:42 -0800 (Fri, 15 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/video_output/snapshot.c

Include fixing for snapshot.c


------------------------------------------------------------------------
r18399 | jb | 2006-12-15 15:50:28 -0800 (Fri, 15 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/dc1394.c

Include repairing for dc1394


------------------------------------------------------------------------
r18398 | zorglub | 2006-12-15 15:38:33 -0800 (Fri, 15 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/playlist.h

2nd argument of playlist_Viewplay is not a boolean

------------------------------------------------------------------------
r18397 | zorglub | 2006-12-15 15:21:27 -0800 (Fri, 15 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_arrays.h
   M /trunk/src/Makefile.am
   D /trunk/src/misc/dict.c
   M /trunk/src/playlist/thread.c
   M /trunk/test/NativeLibvlcTest.py
   M /trunk/test/native/algo.c
   M /trunk/test/native/i18n.c
   M /trunk/test/pyunit.h
   M /trunk/test/setup.py

Rework dicts as macros for type-independance

------------------------------------------------------------------------
r18396 | courmisch | 2006-12-15 06:16:08 -0800 (Fri, 15 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   A /trunk/src/test/utf8.c (from /trunk/src/test/url.c:18395)
   M /trunk/src/text/unicode.c

Simpler UTF-8 check functions + rudimentary unit test

------------------------------------------------------------------------
r18395 | hartman | 2006-12-14 12:56:18 -0800 (Thu, 14 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/record.c
   M /trunk/modules/audio_filter/channel_mixer/mono.c
   M /trunk/modules/audio_filter/equalizer_presets.h
   M /trunk/modules/codec/cmml/browser_open.c
   M /trunk/modules/codec/cmml/history.c
   M /trunk/modules/codec/cmml/history.h
   M /trunk/modules/codec/sdl_image.c
   M /trunk/modules/codec/x264.c

* More compiler warning fixes (const mostly)

------------------------------------------------------------------------
r18394 | damienf | 2006-12-14 05:53:31 -0800 (Thu, 14 Dec 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

- bootstrap: patch libtool on cygwin to prevent linking shared library as '.dll.exe' files

------------------------------------------------------------------------
r18393 | oaubert | 2006-12-14 05:18:53 -0800 (Thu, 14 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/control/mediacontrol_audio_video.c

src/controler/mediacontrol_audio_video.c: make mediacontrol_showtext static

------------------------------------------------------------------------
r18392 | oaubert | 2006-12-14 05:18:27 -0800 (Thu, 14 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc/mediacontrol.h

include/vlc/mediacontrol.h: define mediacontrol_playlist_next_item prototype

------------------------------------------------------------------------
r18391 | damienf | 2006-12-14 03:57:03 -0800 (Thu, 14 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/axvlc.tlb
   M /trunk/activex/axvlc_idl.c
   M /trunk/activex/axvlc_idl.h
   M /trunk/activex/vlccontrol2.cpp

- activex: few fixes, generate latest tlb

------------------------------------------------------------------------
r18390 | hartman | 2006-12-13 16:14:37 -0800 (Wed, 13 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/audio_output/input.c
   M /trunk/src/misc/image.c
   M /trunk/src/misc/threads.c
   M /trunk/src/stream_output/profiles.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/text/charset.c

* Fix a couple of const, static and other warnings 

------------------------------------------------------------------------
r18389 | jpsaman | 2006-12-13 06:43:57 -0800 (Wed, 13 Dec 2006) | 1 line
Changed paths:
   M /trunk/src/control/audio.c

Use more sensible error message that says: settting audio track failed.
------------------------------------------------------------------------
r18388 | xtophe | 2006-12-13 03:41:15 -0800 (Wed, 13 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/guiddef.h
   M /trunk/activex/supporterrorinfo.cpp
   M /trunk/activex/supporterrorinfo.h
   M /trunk/activex/vlccontrol2.cpp
   M /trunk/activex/vlccontrol2.h

.h and .cpp are not executable files

------------------------------------------------------------------------
r18387 | hartman | 2006-12-12 17:11:55 -0800 (Tue, 12 Dec 2006) | 5 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* Add support for HD DVBsub closes #896
* Added some comments
* Set the b_pausable flage and remove the b_fade/b_stop flags from the dvbsubs.
  They are ephemer and if you need these options set, then figure out another way.

------------------------------------------------------------------------
r18386 | phmo95 | 2006-12-12 13:08:50 -0800 (Tue, 12 Dec 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/src/playlist-jni.cc
   M /trunk/bindings/java/src/video-jni.cc

Fix typos for WIN32 compilation of Java bindings.


------------------------------------------------------------------------
r18385 | littlejohn | 2006-12-12 13:05:53 -0800 (Tue, 12 Dec 2006) | 3 lines
Changed paths:
   M /trunk/bindings/java/createEclipseProject.sh

eclipse project creation script updated.


------------------------------------------------------------------------
r18384 | fkuehne | 2006-12-12 11:46:17 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/fspanel.m

* switched the middle arrow buttons from faster/slower to backward/forward to reflect the same functionality as the usual controller window, thus a more consistent GUI. Thanks to the6thReplicant from the forum for the hint.
------------------------------------------------------------------------
r18383 | jpsaman | 2006-12-12 03:18:38 -0800 (Tue, 12 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/axvlc.idl
   M /trunk/activex/vlccontrol2.cpp
   M /trunk/activex/vlccontrol2.h
   M /trunk/include/vlc/libvlc.h
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/src/control/audio.c

Add support to the activex, mozilla, firefox, safari plugin for changing audio track and audio output channel (reverse, stereo, left, right, dolby).

------------------------------------------------------------------------
r18382 | jpsaman | 2006-12-12 01:26:26 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/meta_engine/id3tag.c

Fix compilation warnings
------------------------------------------------------------------------
r18381 | jpsaman | 2006-12-12 01:23:58 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/mux/mp4.c

Small readability enhancement
------------------------------------------------------------------------
r18380 | jpsaman | 2006-12-12 01:23:10 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xvmc.c

Don't use register keyword, leave it up to compiler to optimize this.
------------------------------------------------------------------------
r18379 | ipkiss | 2006-12-11 14:19:56 -0800 (Mon, 11 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/generic_layout.cpp
   M /trunk/modules/gui/skins2/vars/equalizer.cpp

 * skins2/vars/equalizer.cpp: Fixed an invalid memory read, potential crasher
 * skins2/src/generic_layout.cpp: Fixed an old memory leak
This is a forwardport of [18282]

------------------------------------------------------------------------
r18378 | xtophe | 2006-12-11 13:06:55 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: tweack win32 packaging rules

------------------------------------------------------------------------
r18377 | hartman | 2006-12-11 12:55:22 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/info.c
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c

* Some more const warning fixes

------------------------------------------------------------------------
r18376 | littlejohn | 2006-12-11 12:22:47 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   A /trunk/bindings/java/createEclipseProject.sh

helper script to ease jvlc development with eclipse
------------------------------------------------------------------------
r18375 | hartman | 2006-12-11 12:04:55 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* grah one more compile issue

------------------------------------------------------------------------
r18374 | hartman | 2006-12-11 09:34:07 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/util.c

* one more closedir fix

------------------------------------------------------------------------
r18373 | hartman | 2006-12-11 09:29:49 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/util.c

* another closedir fix

------------------------------------------------------------------------
r18372 | hartman | 2006-12-11 09:22:20 -0800 (Mon, 11 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/colorthres.c
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/modules/video_filter/gradient.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/mosaic.c
   M /trunk/modules/video_filter/motiondetect.c
   M /trunk/modules/video_filter/puzzle.c
   M /trunk/modules/video_filter/rss.c
   M /trunk/modules/video_filter/transform.c

* motion_detect: use playlist_Control's "lock" argument  
* const string fixes 
* make a couple of functions static

------------------------------------------------------------------------
r18371 | xtophe | 2006-12-11 09:04:56 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am

Don't call removed target.

------------------------------------------------------------------------
r18370 | courmisch | 2006-12-11 08:56:21 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/misc/gnutls.c
   M /trunk/src/text/unicode.c
   M /trunk/src/video_output/vout_intf.c

- WTF?! Do not use non-existant vlc_closedir_wrapper
- Do not leak result from utf8_readdir (ALWAYS strdup'ed).

------------------------------------------------------------------------
r18369 | courmisch | 2006-12-11 08:53:08 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Fix compilation

------------------------------------------------------------------------
r18368 | hartman | 2006-12-11 08:25:29 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/src/text/unicode.c

* Fix utf8_scandir (wasn't using vlc_closedir_wrapper)
* Add some doxygen comments to some of these functions that warn about vlc_closedir_wrapper and LocaleFree

------------------------------------------------------------------------
r18367 | hartman | 2006-12-11 08:22:45 -0800 (Mon, 11 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/control/http/util.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/misc/gnutls.c
   M /trunk/modules/visualization/galaktos/preset.c
   M /trunk/src/video_output/vout_intf.c

* forwardport: [18328]-[18330]
  * utf8_fopen for: galaktos and snapshots
  * vlc_closedir_wrapper for: webintf, mkv, ncurses and gnutls

------------------------------------------------------------------------
r18366 | hartman | 2006-12-11 08:17:44 -0800 (Mon, 11 Dec 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/src/Patches/libpng-osx.patch

* forwardport [18332]:
  - don't compile pngtest, it's not SDK compatible
  - enable sdk on contrib again

------------------------------------------------------------------------
r18365 | hartman | 2006-12-11 08:16:33 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* forwardport [18335]: Compile x264 with --enable-pic 

------------------------------------------------------------------------
r18364 | hartman | 2006-12-11 08:13:24 -0800 (Mon, 11 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/rtsp.c

* forwardport [18336]:
 - Only try Real RTSP in case of rtsp:// realrtsp:// or pnm://
 - Don't use fprintf

------------------------------------------------------------------------
r18363 | hartman | 2006-12-11 08:04:32 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/NEWS

* forwardport the 0.8.6 NEWS

------------------------------------------------------------------------
r18362 | hartman | 2006-12-11 08:03:34 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* forwardport [18346]: LocaleFree() a utf8_readdir entry instead of using free()

------------------------------------------------------------------------
r18361 | hartman | 2006-12-11 07:32:01 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* forwardport [18350] libtiff linking in VLC OS X 

------------------------------------------------------------------------
r18360 | hartman | 2006-12-11 07:30:46 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/marq.c

* marq.c: const strings

------------------------------------------------------------------------
r18359 | courmisch | 2006-12-11 04:16:39 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Remove -z defs to fix FreeBSD linking.
Someone (I?) ought to work on a better solution

------------------------------------------------------------------------
r18358 | courmisch | 2006-12-10 12:02:03 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Do not redefine vlc_wclosedir (Close #893)

------------------------------------------------------------------------
r18357 | courmisch | 2006-12-10 11:57:01 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Forgot this file

------------------------------------------------------------------------
r18356 | courmisch | 2006-12-10 11:56:13 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/activex/Makefile.am
   M /trunk/configure.ac
   M /trunk/mozilla/Makefile.am
   M /trunk/src/Makefile.am

Use shared libvlc on Win32

------------------------------------------------------------------------
r18355 | zorglub | 2006-12-10 07:28:12 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Simplify a bit strings handling

------------------------------------------------------------------------
r18354 | zorglub | 2006-12-10 07:24:01 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Fix wrong object release

------------------------------------------------------------------------
r18353 | zorglub | 2006-12-10 07:20:26 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c

Don't attach playlist twice

------------------------------------------------------------------------
r18352 | zorglub | 2006-12-10 07:15:50 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Fix corruption in SD parser (Closes:#889)

------------------------------------------------------------------------
r18351 | zorglub | 2006-12-10 06:00:54 -0800 (Sun, 10 Dec 2006) | 8 lines
Changed paths:
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/access/directory.c
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/services_discovery/bonjour.c
   M /trunk/modules/services_discovery/podcast.c
   M /trunk/modules/services_discovery/sap.c
   M /trunk/modules/services_discovery/upnp_cc.cpp
   M /trunk/modules/services_discovery/upnp_intel.cpp
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/var.c
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/objects.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/tree.c

* Do not take and release the structure lock for each element of the list while
  releasing it. mutex locks /= 20 on a standard preparse run
* Only create absolutely necessary variables while preparsing
--> Preparse speed *= 4 (with item in disk cache of course)

* Do not rebuild playlist too much while adding a directory. Add a new flag
  to NodeCreate and Add to control this behaviour

------------------------------------------------------------------------
r18344 | md | 2006-12-09 12:24:50 -0800 (Sat, 09 Dec 2006) | 6 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp

Fix for non-working DELETE key in Playlist on Win32
For some unknown reason, wxwidgets 2.6.3 always return WXK_NUMPAD_DELETE
even in case normal Delete key was pressed

Please consider backporting just for Win32 binaries.

------------------------------------------------------------------------
r18343 | fkuehne | 2006-12-09 12:19:20 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m

* prevent the preferences from crashing. they aren't shown again yet, though
------------------------------------------------------------------------
r18342 | zorglub | 2006-12-09 12:10:28 -0800 (Sat, 09 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Fix

------------------------------------------------------------------------
r18341 | fkuehne | 2006-12-09 11:59:45 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* improved previous b_autoplay implementation
------------------------------------------------------------------------
r18340 | fkuehne | 2006-12-09 11:57:48 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/misc.m

* make sure that the opened media is always enqueueded, if macosx-autoplay is false
------------------------------------------------------------------------
r18339 | zorglub | 2006-12-09 10:12:05 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/include/vlc_intf_strings.h
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/misc/playlist/m3u.c

Misc cleanups in Qt4. (Closes:#736)
Fix m3u export

------------------------------------------------------------------------
r18325 | hartman | 2006-12-07 14:46:45 -0800 (Thu, 07 Dec 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* Don't redraw the window when going to fullscreen. refs #668 and refs #751 
This might not fix it, but it surely should eleviate the problem.
forwardport of [18324]


------------------------------------------------------------------------
r18322 | hartman | 2006-12-07 14:38:20 -0800 (Thu, 07 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/vout.m

* forwardport: [18319], [18320]
  - fspanel centering on right screen
  - fspanel don't hide if mousepointer is over fspanel

------------------------------------------------------------------------
r18319 | xtophe | 2006-12-07 12:19:52 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Forward port [18313] and [18314]. compile fix

------------------------------------------------------------------------
r18318 | bigben | 2006-12-07 12:10:55 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/resampler/linear.c

* Cleanup that file a bit
------------------------------------------------------------------------
r18316 | littlejohn | 2006-12-07 05:35:25 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/src/control/input.c

fix for libvlc_input_get_fps. maybe there's a better way to do it.
------------------------------------------------------------------------
r18315 | courmisch | 2006-12-07 03:25:09 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Remove redumdant function call

------------------------------------------------------------------------
r18312 | courmisch | 2006-12-07 01:29:45 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Remove old TODO

------------------------------------------------------------------------
r18311 | courmisch | 2006-12-07 00:46:01 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Prefer EDH-RSA over plain RSA

------------------------------------------------------------------------
r18309 | courmisch | 2006-12-07 00:39:45 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Handle fatal errors properly past TLS handshake (close #887)

------------------------------------------------------------------------
r18308 | damienf | 2006-12-06 16:31:14 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   A /trunk/mozilla/install.js

- mozilla, activex, directx: more backporting from 0.8.6

------------------------------------------------------------------------
r18307 | damienf | 2006-12-06 16:29:57 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/Makefile.am
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/mozilla/control/npolibvlc.h
   M /trunk/mozilla/control/nporuntime.cpp
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/support/npmac.cpp
   M /trunk/mozilla/vlc.r
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcplugin.h
   M /trunk/mozilla/vlcshell.cpp

mozilla: backporting from 0.8.6

------------------------------------------------------------------------
r18306 | damienf | 2006-12-06 16:29:02 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am
   M /trunk/activex/axvlc.idl
   M /trunk/activex/axvlc.tlb
   M /trunk/activex/axvlc_idl.c
   M /trunk/activex/axvlc_idl.h
   M /trunk/activex/connectioncontainer.cpp
   M /trunk/activex/objectsafety.h
   M /trunk/activex/oleinplaceobject.h
   M /trunk/activex/oleobject.cpp
   M /trunk/activex/oleobject.h
   M /trunk/activex/persistpropbag.cpp
   M /trunk/activex/persiststreaminit.cpp
   M /trunk/activex/persiststreaminit.h
   M /trunk/activex/plugin.cpp
   M /trunk/activex/plugin.h
   M /trunk/activex/provideclassinfo.cpp
   M /trunk/activex/provideclassinfo.h
   M /trunk/activex/supporterrorinfo.cpp
   M /trunk/activex/utils.cpp
   M /trunk/activex/utils.h
   M /trunk/activex/vlccontrol.cpp
   M /trunk/activex/vlccontrol.h
   M /trunk/activex/vlccontrol2.cpp
   M /trunk/activex/vlccontrol2.h

- activex: backporting from 0.8.6

------------------------------------------------------------------------
r18305 | damienf | 2006-12-06 15:39:18 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/common.h
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.h

- dshow: backporting from 0.8.6

------------------------------------------------------------------------
r18304 | damienf | 2006-12-06 15:38:27 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/directx/direct3d.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c
   M /trunk/modules/video_output/directx/vout.h

- backporting from 0.8.6

------------------------------------------------------------------------
r18303 | xtophe | 2006-12-06 14:57:37 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/subtitles.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/subtitles.hpp

sub_fps is a float and need to be a float. Don't loose precision if the subtitles dialog is opened.

------------------------------------------------------------------------
r18302 | damienf | 2006-12-06 14:26:23 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

- removed commented out lines in [18277], not really necessary to keep them

------------------------------------------------------------------------
r18301 | damienf | 2006-12-06 14:22:36 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi.in

- vlc.win32.nsi.in: backporting from [18288]

------------------------------------------------------------------------
r18300 | courmisch | 2006-12-06 13:59:39 -0800 (Wed, 06 Dec 2006) | 8 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Enable AES 256 with TLS.

DISCLAIMER: libgcrypt includes various strong cryptographic ciphers.
VLC now has 256-bits ciphers, and already had 128-bits ciphers for some
time. Please check with your lawyer and country-specific homeland
security bureau. In France, *usage* is completely free. Supply, import
and export are not.

------------------------------------------------------------------------
r18299 | xtophe | 2006-12-06 13:27:32 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix path. 

------------------------------------------------------------------------
r18298 | courmisch | 2006-12-06 13:12:53 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Do not try to distribute non-existant kludges

------------------------------------------------------------------------
r18297 | courmisch | 2006-12-06 12:48:09 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Support for TLSv1.1 deflate compression

------------------------------------------------------------------------
r18296 | courmisch | 2006-12-06 12:22:56 -0800 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

 - support for TLSv1.1
 - rationalize var_CreateGet*() and config_Get*() usage

------------------------------------------------------------------------
r18295 | courmisch | 2006-12-06 10:44:19 -0800 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/http.c

Do not retry to HTTP connection with version 1.0 instead of 1.1...
...when the lower layer failed (ie TCP or SSL errors)

------------------------------------------------------------------------
r18294 | courmisch | 2006-12-06 10:31:53 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

Make some constant data table static

------------------------------------------------------------------------
r18292 | courmisch | 2006-12-06 08:47:10 -0800 (Wed, 06 Dec 2006) | 19 lines
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

Work-around window-on-top + fullscreen deadlock (refs #882)

FIXME FIXME FIXME FIXME: EXPLICIT HACK.
On the one hand, we cannot hold the lock while triggering a callback, as
it causes a deadlock with video-on-top handling. On the other hand, we
have to lock while triggering the callback to:
 1/ make sure video-on-top remains in sync with fullscreen (i.e.
    unlocking creates a race condition if fullscreen is switched on and
    off VERY FAST).
 2/ avoid possible corruption bugs if another thread gets the mutex and
    modifies our data in-between (though it does not seem like it could really
    do much harm in this particular case).

This is obviously contradictory. Correct solutions may include:
 - putting the fullscreen NAND video-on-top logic out of libvlc,
   back into the video output plugins (ugly code duplication...),
 - serializing fullscreen and video-on-top handling properly instead of
   using the fullscreen callback. That's got to be the correct one.

------------------------------------------------------------------------
r18291 | courmisch | 2006-12-06 08:41:19 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Provides libvlc.sym

------------------------------------------------------------------------
r18290 | courmisch | 2006-12-06 08:29:20 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Minor code simplification

------------------------------------------------------------------------
r18289 | funman | 2006-12-06 07:02:37 -0800 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /trunk/extras/dbus-vlc.py
   M /trunk/modules/control/dbus.c
   M /trunk/src/libvlc-common.c

Simplification of one-instance mode
It now checks if a capable "Media Player" is running, not only VLC.

------------------------------------------------------------------------
r18283 | md | 2006-12-06 01:55:17 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/input/vlm.c

Remove duplicate code. The new Unescape() is already doing this.

------------------------------------------------------------------------
r18281 | funman | 2006-12-05 16:52:04 -0800 (Tue, 05 Dec 2006) | 3 lines
Changed paths:
   M /trunk/extras/dbus-vlc.py
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h
   M /trunk/src/libvlc-common.c

D-Bus module now uses new specification
TODO: playlist management

------------------------------------------------------------------------
r18280 | xtophe | 2006-12-05 16:31:08 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

make update-po
------------------------------------------------------------------------
r18279 | littlejohn | 2006-12-05 15:45:36 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/org/videolan/jvlc/Input.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/org/videolan/jvlc/JVLCCanvas.java
   M /trunk/bindings/java/org/videolan/jvlc/Video.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java
   M /trunk/bindings/java/src/core-jni.cc
   M /trunk/bindings/java/src/graphics-jni.cc
   M /trunk/bindings/java/src/video-jni.cc

Java bindings update: various enhancements; paint system changed; reparenting works again.
------------------------------------------------------------------------
r18278 | littlejohn | 2006-12-05 15:42:58 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/src/control/video.c

libvlc_input_has_vout more consistent with function aim
------------------------------------------------------------------------
r18277 | damienf | 2006-12-05 15:20:18 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

- libvlc target, removed uneeded libs target previously for for external libvlc compilation

------------------------------------------------------------------------
r18275 | damienf | 2006-12-05 09:29:07 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am

 activex: when linking against the shared lib DLL, it looks like the linker is picking the DLL name from inside the file, rather than the filename itself. in most cases, this is not a problem, as both are usually the same. Unfortunately, since libtool has a bug on cygwin, whereby the ouput name is libvlc.dll.exe rather than libvlc.dll, the wrong name 'libvlc.dll.exe' is used by the linker rather than the corrected filename. Using the import lib libvlc.dll.a instead fixes that problem. the proper fix should probably a patch to libtool

------------------------------------------------------------------------
r18274 | hartman | 2006-12-05 09:05:20 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

* Expand the ugly hack to also let automake define OBJCLINK and friends

------------------------------------------------------------------------
r18273 | damienf | 2006-12-05 02:22:25 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am
   M /trunk/mozilla/Makefile.am

- mozilla, activex: vlc-config vlc -> libvlc changes

------------------------------------------------------------------------
r18272 | gbazin | 2006-12-04 13:17:32 -0800 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

configure.ac: fix build when libtool is disabled.
------------------------------------------------------------------------
r18271 | dionoea | 2006-12-04 13:12:19 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi.in

Don't install mozilla plugin in recommended/default settings on windows. The NSIS stuff needs to be backported to 0.8.6 before we release (and tested). Could someone do that please?

------------------------------------------------------------------------
r18270 | damienf | 2006-12-04 11:08:31 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

- vlc -> libvlc for linking shared libvlc.dll

------------------------------------------------------------------------
r18262 | md | 2006-12-04 06:02:14 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/share/http/js/vlm.js

Don't escape single quotes since it's not needed anymore

------------------------------------------------------------------------
r18260 | md | 2006-12-04 02:14:26 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_stream.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_wrapper.cpp

Add quotes to all VLM commands requested by VLM wx panel

------------------------------------------------------------------------
r18259 | md | 2006-12-04 02:06:23 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/input/vlm.c

VLM quoting magic for partially quoted strings

------------------------------------------------------------------------
r18258 | dionoea | 2006-12-03 13:00:42 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/search.c

Fix searching in tree playlists (doesn't hide a node's children if the children match but the node doesn't). Thanks to zorglub for the fix.

------------------------------------------------------------------------
r18257 | dionoea | 2006-12-03 12:56:28 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/share/http/js/vlm.js

Don't duplicate backslashes in VLM HTTP interface anymore. Could someone confirm that this works?

------------------------------------------------------------------------
r18256 | dionoea | 2006-12-03 12:44:10 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_variables.h

* vlc_variables.h: remove unused VLC_VAR_ISLIST define

------------------------------------------------------------------------
r18255 | dionoea | 2006-12-03 12:36:24 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_variables.h
   M /trunk/src/misc/objects.c

* vlc_variables.h: remove unused VLC_VAR_ISCONFIG define
* objects.c: some more vars command stuff

------------------------------------------------------------------------
r18254 | zorglub | 2006-12-03 12:33:02 -0800 (Sun, 03 Dec 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

* Made open and sout QDialogs
* Added a minimal streaming feature


------------------------------------------------------------------------
r18253 | dionoea | 2006-12-03 12:05:54 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Tweaks vars command a bit.

------------------------------------------------------------------------
r18252 | dionoea | 2006-12-03 11:49:26 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Add "vars" command to display the list of variables owned by an object. (ex: vars 1)

------------------------------------------------------------------------
r18251 | md | 2006-12-03 11:44:54 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/input/vlm.c

Implement shell-style escaping also for double quotes and fix bugs.

------------------------------------------------------------------------
r18250 | dionoea | 2006-12-03 11:07:22 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/telnet.c

Also show telnet specific commands when using "help" command in the telnet interface.

------------------------------------------------------------------------
r18249 | dionoea | 2006-12-03 11:04:31 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.sym

Looks like we need to add function exports here too now.

------------------------------------------------------------------------
r18248 | dionoea | 2006-12-03 11:00:59 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_vlm.h
   M /trunk/src/input/vlm.c

Export vlm_MessageNew and vlm_MessageAdd.

------------------------------------------------------------------------
r18247 | courmisch | 2006-12-03 10:54:03 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

Fix memleaks

------------------------------------------------------------------------
r18246 | dionoea | 2006-12-03 10:37:22 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Also print the object's parent id (makes it easier to "climb" the object tree)

------------------------------------------------------------------------
r18245 | courmisch | 2006-12-03 10:15:03 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules.h

Make module_LoadMain static

------------------------------------------------------------------------
r18244 | dionoea | 2006-12-03 10:14:37 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Buffer was too small.

------------------------------------------------------------------------
r18243 | dionoea | 2006-12-03 10:05:23 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi.in

Sync default options in NSIS installer with recommended preset. I still don't like installing the activex and mozilla plugins by default as they often override other plugins and make it impossible to view videos on some/many websites.

------------------------------------------------------------------------
r18242 | courmisch | 2006-12-03 10:02:03 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

Be a little less pessimistic

------------------------------------------------------------------------
r18241 | xtophe | 2006-12-03 10:01:13 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

use program-prefix="" all the times

------------------------------------------------------------------------
r18240 | courmisch | 2006-12-03 09:57:54 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix memleak (oups)

------------------------------------------------------------------------
r18239 | dionoea | 2006-12-03 09:53:51 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Oops (at least it wasn't a regression ;) )

------------------------------------------------------------------------
r18238 | courmisch | 2006-12-03 09:30:48 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Same as previous commit, for invalid MMS URLs

------------------------------------------------------------------------
r18237 | dionoea | 2006-12-03 09:30:31 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Don't display "Unknown command!" when the command is known.

------------------------------------------------------------------------
r18236 | courmisch | 2006-12-03 09:29:25 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Fix ?\195?\188ber memleak when falling back to MMS/HTTP

------------------------------------------------------------------------
r18235 | dionoea | 2006-12-03 09:27:13 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Cosmetics and small fix

------------------------------------------------------------------------
r18234 | dionoea | 2006-12-03 09:19:24 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Simplify callback registration.

------------------------------------------------------------------------
r18233 | dionoea | 2006-12-03 09:09:48 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Fix [17577]. Removing 200 lines of code is nice. Replacing them with lines that does the same thing as before is better.

------------------------------------------------------------------------
r18232 | xtophe | 2006-12-03 09:03:22 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Don't prefix the binaries and config scripts with $HOST.

------------------------------------------------------------------------
r18231 | courmisch | 2006-12-03 09:02:02 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/copy.c

Fix small memleak

------------------------------------------------------------------------
r18230 | courmisch | 2006-12-03 08:34:00 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

M3U: fallback to local code page if UTF-8 fails (close #862)

------------------------------------------------------------------------
r18229 | zorglub | 2006-12-03 08:31:08 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/NEWS

Release notes

------------------------------------------------------------------------
r18228 | zorglub | 2006-12-03 08:13:40 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/selector.cpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/src/input/access.c

* Fix preparse of directories 
* Add right-click "info" item in qt4 playlist

------------------------------------------------------------------------
r18227 | courmisch | 2006-12-03 08:03:40 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

Undo unintended changeset

------------------------------------------------------------------------
r18226 | zorglub | 2006-12-03 07:57:27 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Unbreak a bit windows

------------------------------------------------------------------------
r18222 | zorglub | 2006-12-03 07:03:14 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Missing libvlc flags on win32

------------------------------------------------------------------------
r18221 | courmisch | 2006-12-03 06:52:21 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Fix libtool and shared builds

------------------------------------------------------------------------
r18220 | courmisch | 2006-12-03 06:35:17 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/src/Makefile.am
   A /trunk/src/libvlc.sym

Do not autogenerate libvlc.sym.
The scheme I used sucked big times.

------------------------------------------------------------------------
r18219 | courmisch | 2006-12-03 06:23:52 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h

Forgot this file

------------------------------------------------------------------------
r18218 | courmisch | 2006-12-03 06:23:40 -0800 (Sun, 03 Dec 2006) | 4 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h
   A /trunk/src/input/vlm.c (from /trunk/src/misc/vlm.c:18216)
   M /trunk/src/misc/modules.c
   D /trunk/src/misc/vlm.c

- fix input memleak
- move vlm to input/
- remove unused libvlc export

------------------------------------------------------------------------
r18217 | funman | 2006-12-03 06:06:06 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

forward port [18125]
Compile glx plugin only if all required headers are present

------------------------------------------------------------------------
r18216 | courmisch | 2006-12-03 05:52:04 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/services_discovery.c

Don't write R/O memory + clean up

------------------------------------------------------------------------
r18214 | zorglub | 2006-12-03 05:48:21 -0800 (Sun, 03 Dec 2006) | 7 lines
Changed paths:
   M /trunk/bindings/java
   M /trunk/bindings/java/includes
   M /trunk/bindings/python/vlc_module.c
   M /trunk/bindings/python/vlc_object.c
   M /trunk/configure.ac
   M /trunk/evc/plugins.vcp.in
   M /trunk/include/iso_lang.h
   M /trunk/include/main.h
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_acl.h
   M /trunk/include/vlc_aout.h
   M /trunk/include/vlc_arrays.h
   M /trunk/include/vlc_bits.h
   M /trunk/include/vlc_block.h
   M /trunk/include/vlc_block_helper.h
   M /trunk/include/vlc_charset.h
   M /trunk/include/vlc_codec.h
   M /trunk/include/vlc_codecs.h
   M /trunk/include/vlc_config.h
   M /trunk/include/vlc_config_cat.h
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_demux.h
   M /trunk/include/vlc_devices.h
   M /trunk/include/vlc_es.h
   M /trunk/include/vlc_es_out.h
   M /trunk/include/vlc_filter.h
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_image.h
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_interface.h
   M /trunk/include/vlc_intf_strings.h
   M /trunk/include/vlc_keys.h
   M /trunk/include/vlc_md5.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_meta.h
   M /trunk/include/vlc_modules.h
   M /trunk/include/vlc_modules_macros.h
   M /trunk/include/vlc_mtime.h
   M /trunk/include/vlc_network.h
   M /trunk/include/vlc_objects.h
   M /trunk/include/vlc_os_specific.h
   M /trunk/include/vlc_osd.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_sout.h
   M /trunk/include/vlc_stream.h
   M /trunk/include/vlc_streaming.h
   M /trunk/include/vlc_strings.h
   M /trunk/include/vlc_threads.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/include/vlc_tls.h
   M /trunk/include/vlc_update.h
   M /trunk/include/vlc_url.h
   M /trunk/include/vlc_variables.h
   M /trunk/include/vlc_vlm.h
   M /trunk/include/vlc_vod.h
   M /trunk/include/vlc_vout.h
   M /trunk/include/vlc_vout_synchro.h
   M /trunk/include/vlc_xml.h
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/msvc/libvlc.vcproj.in
   M /trunk/msvc/plugins.vcproj.in
   M /trunk/src/Makefile.am
   M /trunk/src/playlist/services_discovery.c
   M /trunk/test/setup.py
   M /trunk/toolbox
   M /trunk/vlc-config.in.in

A bit of vlc/libvlc cleanup:
* libvlc sources and plugins now define __LIBVLC__ and headers exported to
  plugins (ie, include/vlc_*.h) check for this
* libvlc sources use the value of the "libvlc" component in vlc-config instead
  of vlc
* Apply flags directly to "libvlc" in configure.ac - might temporarily break win32 :)

------------------------------------------------------------------------
r18213 | courmisch | 2006-12-03 05:32:55 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

Use a MEANINGFUL (hopefully) debug message

------------------------------------------------------------------------
r18212 | fkuehne | 2006-12-03 05:16:03 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* use the current x264 revisions and Xcode's native nasm on x86-OSX. This requires Xcode 2.4.1 or later. Patch by Brian Raymond <braymond --a-t- echostorm net>

I second his request to include this in 0.8.6 as well, since this update improves the performance on PowerPC-based Macs by 20% without breaking compatibility with our module.
------------------------------------------------------------------------
r18211 | courmisch | 2006-12-03 03:45:57 -0800 (Sun, 03 Dec 2006) | 3 lines
Changed paths:
   M /trunk/src/misc/vlm.c

- Only unescape VLM parameter when quoted with " ", do not unescape with ' '
- Remove opening and closing quote when unescaping

------------------------------------------------------------------------
r18209 | zorglub | 2006-12-03 01:56:46 -0800 (Sun, 03 Dec 2006) | 19 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/ui/open.ui
   M /trunk/modules/gui/qt4/ui/open_disk.ui
   M /trunk/modules/gui/qt4/ui/open_file.ui
   M /trunk/modules/gui/qt4/ui/open_net.ui

Qt4 open:
* Implement MRL handling for file, disc and network
* Moved input slave option to the global dialog (not file specific and
  avoid cluttering the file subpanel)
* Initial implementation of the network panel based on ideas and work by
  Leo Spalteholz. Thanks !
* Improve layouting and handling of the advanced options subpanel

--This line, and those below, will beignored--

M    modules/gui/qt4/dialogs/open.cpp
M    modules/gui/qt4/dialogs/open.hpp
M    modules/gui/qt4/components/open.cpp
M    modules/gui/qt4/components/open.hpp
M    modules/gui/qt4/ui/open_net.ui
M    modules/gui/qt4/ui/open_disk.ui
M    modules/gui/qt4/ui/open_file.ui
M    modules/gui/qt4/ui/open.ui

------------------------------------------------------------------------
r18208 | courmisch | 2006-12-03 00:07:53 -0800 (Sun, 03 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/vlm.c

Save a few allocations

------------------------------------------------------------------------
r18207 | courmisch | 2006-12-02 23:28:41 -0800 (Sat, 02 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/network/acl.c

ACL: remove potentially harmful macro conditional definition

------------------------------------------------------------------------
r18206 | courmisch | 2006-12-02 23:05:21 -0800 (Sat, 02 Dec 2006) | 7 lines
Changed paths:
   M /trunk/src/misc/vlm.c

New VLM quoting and escaping logic that is more like the usual C one[1]
- Do not validate quotes recursively (there is no reason to do that)
  and it is really unlike anything else.
- Do not allow escaping non-ASCII (to avoid UTF-8 breakages)
  or non-printable characters.
[1] we don't support every features of C escaping though

------------------------------------------------------------------------
r18204 | courmisch | 2006-12-02 10:40:40 -0800 (Sat, 02 Dec 2006) | 3 lines
Changed paths:
   M /trunk/share/http/dialogs/.hosts

Rewrite comment.
It reads like some sort of English now, though it could be further improved.

------------------------------------------------------------------------
r18203 | courmisch | 2006-12-02 10:34:06 -0800 (Sat, 02 Dec 2006) | 2 lines
Changed paths:
   M /trunk/share/http/.hosts

Safe default for HTTP .hosts file

------------------------------------------------------------------------
r18202 | hartman | 2006-12-02 07:02:36 -0800 (Sat, 02 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c

* forwardport [18201]
  fixes a big crasher in the DestroyFilter of the logo video filter

------------------------------------------------------------------------
r18199 | zorglub | 2006-12-02 02:58:51 -0800 (Sat, 02 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/crop.c

Improved autocropping by Cedric Cocquebert

------------------------------------------------------------------------
r18197 | Trax | 2006-12-01 15:18:11 -0800 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /trunk/NEWS

NEWS: Sync with the 0.8.6-rc1 NEWS so that the link on the developers site is uptodate as well.
------------------------------------------------------------------------
r18196 | courmisch | 2006-12-01 12:26:05 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/misc/objects.c
   M /trunk/src/network/httpd.c
   D /trunk/src/network/httpd.h

Hide httpd_t and httpd_host_t within httpd.c

------------------------------------------------------------------------
r18195 | courmisch | 2006-12-01 12:13:46 -0800 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/src/libvlc-common.c
   A /trunk/src/libvlc-module.c (from /trunk/src/libvlc.h:18192)
   R /trunk/src/libvlc.h

Rename libvlc.h to libvlc-module.c
It made little sense to have an header that can only be included
in a single file.
Re-use libvlc.h for generic libvlc internal declarations.

------------------------------------------------------------------------
r18194 | courmisch | 2006-12-01 12:04:13 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Remove unused variable

------------------------------------------------------------------------
r18192 | courmisch | 2006-12-01 11:48:43 -0800 (Fri, 01 Dec 2006) | 4 lines
Changed paths:
   M /trunk/src/misc/objects.c

Support for creating object with custom type name and size.
This help suppress dependency of src/misc/modules.c
upon some structs typedefs just for the sake of sizeof.

------------------------------------------------------------------------
r18191 | courmisch | 2006-12-01 10:54:34 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_httpd.h
   M /trunk/src/misc/objects.c
   M /trunk/src/network/httpd.c
   A /trunk/src/network/httpd.h (from /trunk/include/vlc_httpd.h:18190)

Hide some httpd structures from modules

------------------------------------------------------------------------
r18190 | courmisch | 2006-12-01 10:38:59 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

Don't initialize a variable twice

------------------------------------------------------------------------
r18189 | md | 2006-12-01 08:09:45 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

Add a FIXME

------------------------------------------------------------------------
r18188 | funman | 2006-12-01 01:45:24 -0800 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui
   M /trunk/modules/gui/qt4/ui/open.ui
   M /trunk/modules/gui/qt4/ui/open_disk.ui
   M /trunk/modules/gui/qt4/ui/open_file.ui
   M /trunk/modules/gui/qt4/ui/open_net.ui

Simplification of Advanced Open
Control & Playback buttons have the same size

------------------------------------------------------------------------
r18183 | xtophe | 2006-11-30 14:41:48 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Apply the alignment patch on BeOS also.

------------------------------------------------------------------------
r18181 | hartman | 2006-11-30 14:18:36 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* fix commit [18178]

------------------------------------------------------------------------
r18180 | hartman | 2006-11-30 13:52:58 -0800 (Thu, 30 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/v4l.c

* Fix YUV422, YUY2, YUYV mappings in V4L.
* Don't immediatly overwrite our driver retrieved video palette value with 0.

------------------------------------------------------------------------
r18178 | hartman | 2006-11-30 12:46:23 -0800 (Thu, 30 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

forwardport [18177]
* microDVD should use the framerate of the movie if that is known, before falling back to 25fps


------------------------------------------------------------------------
r18171 | funman | 2006-11-30 06:39:52 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/oss.c

Uses correct buffer size with OSS output

------------------------------------------------------------------------
r18170 | xtophe | 2006-11-30 06:27:36 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Link with libebml_pic if avaivable

------------------------------------------------------------------------
r18166 | oaubert | 2006-11-30 00:15:23 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/snapshot.c

modules/video_output/snapshot.c: remove ref. to snapshot.h, whose data has been moved to vlc_vout.h

------------------------------------------------------------------------
r18164 | Trax | 2006-11-29 15:48:24 -0800 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi.in

vlc.win32.nsi.in: Add shortcut for Direct3D with no hardware acceleration. YUV->RGB hardware accelaration should normally be enabled except on some buggy NVidia cards/drivers?
------------------------------------------------------------------------
r18162 | Trax | 2006-11-29 15:24:44 -0800 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi.in

vlc.win32.nsi.in: Make sure hardware acceleration is always set in certain DirectX shortcuts.
------------------------------------------------------------------------
r18161 | Trax | 2006-11-29 14:55:24 -0800 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi.in

vlc.win32.nsi.in: Renamed Utilities to Quick Settings. Added separate shortcuts for no overlay and no hardware accelleration and seperate folders for Audio, Video and Interface.
------------------------------------------------------------------------
r18159 | hartman | 2006-11-29 13:13:07 -0800 (Wed, 29 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/video_output/video_output.c

* const and a few other casting fixes

------------------------------------------------------------------------
r18158 | hartman | 2006-11-29 13:11:57 -0800 (Wed, 29 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/info.c

* cdda: update due to input_GetItem 

------------------------------------------------------------------------
r18157 | jb | 2006-11-29 12:37:57 -0800 (Wed, 29 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/help.cpp

Qt4: Small corrections on previous commit.


------------------------------------------------------------------------
r18156 | jb | 2006-11-29 12:17:08 -0800 (Wed, 29 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/dialogs/help.cpp
   A /trunk/modules/gui/qt4/dialogs/help.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp

Qt4: Please help...
Adds an help menu with help and about.
Dialogs are still empty.


------------------------------------------------------------------------
r18151 | funman | 2006-11-29 05:35:23 -0800 (Wed, 29 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Disable D-Bus if installed version is < 1.0.0 and warns the user.
Adds an option to force D-Bus support to be enabled anyway.

------------------------------------------------------------------------
r18148 | md | 2006-11-29 02:02:42 -0800 (Wed, 29 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp

Forwardport [18136]: Fixed RecursiveDeleteSelection() to prevent destroying the
whole playlist

------------------------------------------------------------------------
r18146 | jb | 2006-11-28 19:35:26 -0800 (Tue, 28 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/ui/open.ui
   M /trunk/modules/gui/qt4/ui/open_file.ui

Qt4 : Some work on OpenDialog. Does not work with files with spaces... More work to do.


------------------------------------------------------------------------
r18143 | xtophe | 2006-11-28 15:07:54 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

do not show started-from-file in the prefs

------------------------------------------------------------------------
r18142 | funman | 2006-11-28 15:04:54 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Detects too old automake version using 1.X-pY versioning

------------------------------------------------------------------------
r18138 | phmo95 | 2006-11-28 13:49:28 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

Fix missing output directory in JNI header generation in win32 part.

------------------------------------------------------------------------
r18137 | courmisch | 2006-11-28 12:27:33 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Avoid duplicate memory allocation

------------------------------------------------------------------------
r18134 | funman | 2006-11-28 09:05:31 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Uses file:// MRL only files, don't bug when recursively adding directories

------------------------------------------------------------------------
r18131 | funman | 2006-11-28 07:34:08 -0800 (Tue, 28 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Add a method to export playlists
------------------------------------------------------------------------
r18130 | funman | 2006-11-28 06:53:50 -0800 (Tue, 28 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/access/directory.c

Fixes buffer overflow introduced in [18129]
------------------------------------------------------------------------
r18129 | funman | 2006-11-28 05:20:13 -0800 (Tue, 28 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/access/directory.c

Uses file:// MRLs for items added by directory access
------------------------------------------------------------------------
r18123 | hartman | 2006-11-27 19:29:43 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

* const warning fixes. formatting fixes (squash them tabs)

------------------------------------------------------------------------
r18122 | hartman | 2006-11-27 18:18:48 -0800 (Mon, 27 Nov 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

* Some cast magic to get around a gazillion of warnings during the OSX build. If your OS has similiar warnings, feel free to add yourself to the define list :D. Solution thanks to Sam.

../include/vlc_threads_funcs.h:501: warning: cast from function call of type 'pthread_t' to non-matching type 'int'

------------------------------------------------------------------------
r18121 | hartman | 2006-11-27 17:26:46 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/pls.c

* playlist/* When telling the playlist to play the node, don't check for i_children. The playlist might still have to process the request of the add and i_children may not be accurate yet. (this fixes a bug where 1 item playlists would not start playing).

------------------------------------------------------------------------
r18120 | xtophe | 2006-11-27 14:36:14 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Make update-po
------------------------------------------------------------------------
r18119 | hartman | 2006-11-27 13:30:13 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

* mp4: fix memleak in mov ref. files handling

------------------------------------------------------------------------
r18117 | fkuehne | 2006-11-27 13:23:29 -0800 (Mon, 27 Nov 2006) | 8 lines
Changed paths:
   M /trunk/modules/gui/macosx/applescript.h
   M /trunk/modules/gui/macosx/applescript.m

* more info about the applescript addition:

you can also do the following now:

<tell app "VLC" to set fullscreen mode to true>, thus you also got write access ;)


Sorry, I just forgot to commit these obvious files in [18115].
------------------------------------------------------------------------
r18116 | fkuehne | 2006-11-27 13:20:23 -0800 (Mon, 27 Nov 2006) | 8 lines
Changed paths:
   M /trunk/modules/gui/macosx/AppleRemote.h
   M /trunk/modules/gui/macosx/AppleRemote.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* various improvements to the AppleRemote support by Martin Kahr <martin -attt-> martinkahr com> feat. the following changes:
    - holding +/- continuously increases/decreases volume
    - pressing Play twice toggles fullscreen mode
    -  a press on Menu shows the "Position" overlay (like pressing the key
't')

This updates our copy of Martin's unofficial framework to the latest version released.

------------------------------------------------------------------------
r18115 | fkuehne | 2006-11-27 13:11:47 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/vlc.scriptSuite
   M /trunk/extras/MacOSX/Resources/vlc.scriptTerminology
   M /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m

* added an option to the apple script binding to check for windowed or fullscreen mode. Patch by Martin Kahr <martin --att-- martinkahr com>
------------------------------------------------------------------------
r18112 | fkuehne | 2006-11-27 10:46:44 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/contrib/src/packages.mak

* dc1394 cosmetics (forward-porting [18096])
------------------------------------------------------------------------
r18109 | jb | 2006-11-27 09:44:00 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/qt4/ui/open.ui
   M /trunk/modules/gui/qt4/ui/open_disk.ui
   M /trunk/modules/gui/qt4/ui/open_file.ui
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4: Some cosmetic work and design by Leo Spalteholz


------------------------------------------------------------------------
r18106 | md | 2006-11-27 01:59:45 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Comment on IPv6 SSM

------------------------------------------------------------------------
r18105 | jpsaman | 2006-11-27 01:01:09 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   A /trunk/modules/access/dc1394.c

Digital Cameras (firewire/1394) support by Andreas Guzzo (xant at xant dot net). I left out the rotation code, because in vlc-trunk there is already a rotation video filter2.
------------------------------------------------------------------------
r18104 | zorglub | 2006-11-26 23:23:25 -0800 (Sun, 26 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.hpp
   M /trunk/modules/gui/qt4/ui/sout.ui

Fix for missing resizing in sout dialog.
Patch by Leo Spalteholz, thanks.

------------------------------------------------------------------------
r18103 | funman | 2006-11-26 17:54:50 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Enables audioscrobbler by default as it should be bugs free

------------------------------------------------------------------------
r18102 | hartman | 2006-11-26 17:44:14 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

* Correct and probably also faster EOL detection in UTF16 or UTF32 files

------------------------------------------------------------------------
r18101 | funman | 2006-11-26 17:42:48 -0800 (Sun, 26 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/misc/audioscrobbler.c

Merge 2 functions for reading meta data
Simplify interval checking
Sleeps 10 seconds more
Releases input 1 time instead of 2

------------------------------------------------------------------------
r18100 | hartman | 2006-11-26 16:57:42 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* Remove duplicate mutex_destroy added in [18009]

------------------------------------------------------------------------
r18099 | zorglub | 2006-11-26 15:28:05 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/Makefile.am

Don't ask me why this fixes the java binding compilation

------------------------------------------------------------------------
r18098 | dionoea | 2006-11-26 15:25:40 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/motionblur.c

Revert messup while doing the video filter2 port.

------------------------------------------------------------------------
r18097 | dionoea | 2006-11-26 15:09:09 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/notify/msn.c

Fix small mixup between artist and title in MSN plugin.

------------------------------------------------------------------------
r18095 | courmisch | 2006-11-26 14:29:33 -0800 (Sun, 26 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/network/udp.c

Pick IPv6 scope ID from group address, instead of source address
Fix possible segfault as a side-effect

------------------------------------------------------------------------
r18094 | courmisch | 2006-11-26 14:17:41 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Fix unitialized interface for old-style IPv4 joins

------------------------------------------------------------------------
r18093 | fkuehne | 2006-11-26 14:16:00 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.m

* centre fspanel in the lower third of the screen. additionally, switched style mask to allow dragging in the entire window area (forward-porting [18092])
------------------------------------------------------------------------
r18091 | zorglub | 2006-11-26 13:35:08 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/ui/main_interface.ui

Implement disc chapter selection widget

------------------------------------------------------------------------
r18089 | fkuehne | 2006-11-26 11:48:39 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/fspanel.m

* missing file in previous commit
------------------------------------------------------------------------
r18088 | fkuehne | 2006-11-26 11:43:20 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/equalizer.m
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/vout.m

* fspanel usability fixes (forward-port of [18077]) plus some further clean up
------------------------------------------------------------------------
r18087 | fkuehne | 2006-11-26 11:21:54 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/bookmarks.m
   M /trunk/modules/gui/macosx/extended.m
   M /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/sfilters.h
   M /trunk/modules/gui/macosx/sfilters.m
   M /trunk/modules/gui/macosx/vout.m
   M /trunk/modules/gui/macosx/wizard.h
   M /trunk/modules/gui/macosx/wizard.m

* the remaining compilation fixes plus a bit of clean up here and there. vout.m needs further fixing and everything needs quite some testing
------------------------------------------------------------------------
r18086 | zorglub | 2006-11-26 11:07:37 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/control/input.c

Should fix win32 

------------------------------------------------------------------------
r18085 | zorglub | 2006-11-26 10:59:52 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/audio_filter/converter/Modules.am
   A /trunk/modules/audio_filter/converter/fixed.c (from /trunk/modules/audio_filter/converter/fixed32tos16.c:18081)
   D /trunk/modules/audio_filter/converter/fixed32tofloat32.c
   D /trunk/modules/audio_filter/converter/fixed32tos16.c
   A /trunk/modules/audio_filter/converter/float.c (from /trunk/modules/audio_filter/converter/fixed32tofloat32.c:18081)
   D /trunk/modules/audio_filter/converter/float32tos16.c
   D /trunk/modules/audio_filter/converter/float32tos8.c
   D /trunk/modules/audio_filter/converter/float32tou16.c
   D /trunk/modules/audio_filter/converter/float32tou8.c
   D /trunk/modules/audio_filter/converter/s16tofixed32.c
   D /trunk/modules/audio_filter/converter/s16tofloat32.c
   D /trunk/modules/audio_filter/converter/s16tofloat32swab.c
   D /trunk/modules/audio_filter/converter/s8tofloat32.c
   D /trunk/modules/audio_filter/converter/u8tofixed32.c
   D /trunk/modules/audio_filter/converter/u8tofloat32.c

Merge all fixed-point and floating-point audio format converters

------------------------------------------------------------------------
r18083 | fkuehne | 2006-11-26 10:08:23 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/equalizer.m
   M /trunk/modules/gui/macosx/intf.m

* first round of compilation fixes, more to come
------------------------------------------------------------------------
r18082 | dionoea | 2006-11-26 09:49:17 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/colorthres.c

Remove trailing spaces.

------------------------------------------------------------------------
r18081 | dionoea | 2006-11-26 09:29:57 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/colorthres.c
   M /trunk/modules/video_filter/gradient.c
   M /trunk/modules/video_filter/magnify.c
   M /trunk/modules/video_filter/mosaic.c
   M /trunk/modules/video_filter/psychedelic.c
   M /trunk/modules/video_filter/puzzle.c
   M /trunk/modules/video_filter/ripple.c
   M /trunk/modules/video_filter/wave.c

use pf_mem{set,cpy} when possible

------------------------------------------------------------------------
r18080 | zorglub | 2006-11-26 09:27:16 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/src/input/clock.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h

Make the global b_can_pace_control flag public

------------------------------------------------------------------------
r18079 | zorglub | 2006-11-26 09:22:54 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/src/input/input.c

Ah Ah

------------------------------------------------------------------------
r18078 | dionoea | 2006-11-26 09:18:09 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/motionblur.c

Remove printf

------------------------------------------------------------------------
r18076 | zorglub | 2006-11-26 08:37:06 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/applescript.m
   M /trunk/modules/gui/macosx/intf.h

First and probably only attempt at fixing os x interface :)

------------------------------------------------------------------------
r18075 | dionoea | 2006-11-26 08:28:50 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc
   M /trunk/doc/Doxyfile

svn:ignore

------------------------------------------------------------------------
r18074 | zorglub | 2006-11-26 08:26:44 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/video_output/caca.c
   M /trunk/modules/video_output/directx/direct3d.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/wingdi.c

Pwet pwet

------------------------------------------------------------------------
r18073 | dionoea | 2006-11-26 08:26:34 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/src

svn:ignore

------------------------------------------------------------------------
r18072 | dionoea | 2006-11-26 08:26:09 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/xvmc

svn:ignore

------------------------------------------------------------------------
r18071 | dionoea | 2006-11-26 08:25:07 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/text

svn:ignore

------------------------------------------------------------------------
r18070 | dionoea | 2006-11-26 08:11:28 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.c

Fix dbus compilation

------------------------------------------------------------------------
r18069 | zorglub | 2006-11-26 08:01:31 -0800 (Sun, 26 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/access/vcdx/info.c
   M /trunk/modules/access/vcdx/intf.c
   M /trunk/modules/access/vcdx/intf.h
   M /trunk/modules/access/vcdx/vcdplayer.c
   M /trunk/modules/access/vcdx/vcdplayer.h
   M /trunk/modules/codec/xvmc/slice_xvmc_vld.c
   M /trunk/modules/codec/xvmc/xxmc.c
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/qnx/aout.c
   M /trunk/modules/gui/qnx/vout.c
   M /trunk/modules/misc/notify/xosd.c
   M /trunk/modules/misc/svg.c
   M /trunk/modules/misc/win32text.c
   M /trunk/modules/stream_out/transrate/block.c
   M /trunk/modules/stream_out/transrate/frame.c
   M /trunk/modules/stream_out/transrate/transrate.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_output/sdl.c
   M /trunk/modules/video_output/x11/xvmc.c

Nicer commits, faster breaking time and better-looking headers
That's not just the vlc service, thats *your* vlc service !
So remember the new number ! 0118 999 881 999 119 725...3

------------------------------------------------------------------------
r18068 | zorglub | 2006-11-26 07:36:01 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/access/vcdx/demux.c
   M /trunk/modules/access/vcdx/intf.h
   M /trunk/modules/misc/notify/xosd.c
   M /trunk/src/misc/configuration.h

Did I loose the count ?

------------------------------------------------------------------------
r18067 | dionoea | 2006-11-26 07:21:04 -0800 (Sun, 26 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/motionblur.c

* Port motion blur to "video filter2".
* Add "blur-persistant" option to use previous result instead of previous clean image for next iteration.

------------------------------------------------------------------------
r18066 | zorglub | 2006-11-26 07:11:16 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/codec/ffmpeg/scale.c
   M /trunk/modules/demux/mpc.c

?\194?\171 En essayant continuellement on finit par r?\195?\169ussir. Donc : plus ?\195?\167a rate, plus on a de chances que ?\195?\167a marche. ?\194?\187

------------------------------------------------------------------------
r18065 | zorglub | 2006-11-26 06:59:36 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/cdda.h
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/v4l.c
   M /trunk/modules/access/v4l2.c
   M /trunk/modules/codec/theora.c

Round 3 :)

------------------------------------------------------------------------
r18064 | zorglub | 2006-11-26 06:49:31 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/v4l.c
   M /trunk/src/misc/win32_specific.c

Round 2

------------------------------------------------------------------------
r18063 | zorglub | 2006-11-26 06:39:39 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dvdread.c
   M /trunk/src/audio_output/common.c
   M /trunk/src/control/vlm.c
   M /trunk/src/misc/modules.c
   M /trunk/src/playlist/thread.c
   M /trunk/src/video_output/video_output.c

Compile fixes, round 1

------------------------------------------------------------------------
r18062 | zorglub | 2006-11-26 06:20:34 -0800 (Sun, 26 Nov 2006) | 28 lines
Changed paths:
   M /trunk/bindings/python/vlc_object.c
   M /trunk/configure.ac
   D /trunk/include/aout_internal.h
   D /trunk/include/audio_output.h
   D /trunk/include/beos_specific.h
   D /trunk/include/charset.h
   D /trunk/include/codecs.h
   D /trunk/include/configuration.h
   D /trunk/include/darwin_specific.h
   D /trunk/include/intf_eject.h
   D /trunk/include/libvlc_internal.h
   D /trunk/include/mediacontrol_internal.h
   D /trunk/include/modules.h
   D /trunk/include/modules_inner.h
   D /trunk/include/mtime.h
   D /trunk/include/network.h
   D /trunk/include/os_specific.h
   D /trunk/include/snapshot.h
   D /trunk/include/stream_output.h
   D /trunk/include/variables.h
   D /trunk/include/video_output.h
   D /trunk/include/vlc/aout.h
   D /trunk/include/vlc/decoder.h
   D /trunk/include/vlc/input.h
   D /trunk/include/vlc/intf.h
   D /trunk/include/vlc/sout.h
   D /trunk/include/vlc/vout.h
   M /trunk/include/vlc_access.h
   A /trunk/include/vlc_aout.h (from /trunk/include/audio_output.h:18057)
   M /trunk/include/vlc_arrays.h
   M /trunk/include/vlc_block.h
   M /trunk/include/vlc_block_helper.h
   A /trunk/include/vlc_charset.h (from /trunk/include/charset.h:18058)
   M /trunk/include/vlc_codec.h
   A /trunk/include/vlc_codecs.h (from /trunk/include/codecs.h:18058)
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_config_cat.h
   A /trunk/include/vlc_configuration.h (from /trunk/include/configuration.h:18058)
   D /trunk/include/vlc_cpu.h
   M /trunk/include/vlc_demux.h
   D /trunk/include/vlc_error.h
   M /trunk/include/vlc_filter.h
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_image.h
   M /trunk/include/vlc_input.h
   D /trunk/include/vlc_interaction.h
   M /trunk/include/vlc_interface.h
   M /trunk/include/vlc_meta.h
   A /trunk/include/vlc_modules.h (from /trunk/include/modules.h:18058)
   A /trunk/include/vlc_modules_macros.h (from /trunk/include/modules_inner.h:18061)
   A /trunk/include/vlc_mtime.h (from /trunk/include/mtime.h:18061)
   A /trunk/include/vlc_network.h (from /trunk/include/network.h:18058)
   A /trunk/include/vlc_os_specific.h (from /trunk/include/os_specific.h:18061)
   M /trunk/include/vlc_osd.h
   M /trunk/include/vlc_playlist.h
   A /trunk/include/vlc_sout.h (from /trunk/include/stream_output.h:18058)
   D /trunk/include/vlc_spu.h
   M /trunk/include/vlc_stream.h
   M /trunk/include/vlc_symbols.h
   M /trunk/include/vlc_tls.h
   M /trunk/include/vlc_url.h
   A /trunk/include/vlc_variables.h (from /trunk/include/variables.h:18058)
   D /trunk/include/vlc_video.h
   M /trunk/include/vlc_vlm.h
   A /trunk/include/vlc_vout.h (from /trunk/include/vlc_video.h:18058)
   A /trunk/include/vlc_vout_synchro.h (from /trunk/include/vout_synchro.h:18058)
   D /trunk/include/vout_synchro.h
   D /trunk/include/win32_specific.h
   M /trunk/modules/access/cdda/cdda.h
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/dshow/crossbar.cpp
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp
   M /trunk/modules/access/dv.c
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/en50221.c
   M /trunk/modules/access/dvb/http.c
   M /trunk/modules/access/dvb/linux_dvb.c
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/modules/access/fake.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/gnomevfs.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/mms/mmsh.c
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/access/pvr.c
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/screen/beos.cpp
   M /trunk/modules/access/screen/mac.c
   M /trunk/modules/access/screen/screen.c
   M /trunk/modules/access/screen/screen.h
   M /trunk/modules/access/screen/win32.c
   M /trunk/modules/access/screen/x11.c
   M /trunk/modules/access/smb.c
   M /trunk/modules/access/tcp.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/access/v4l.c
   M /trunk/modules/access/v4l2.c
   M /trunk/modules/access/vcd/cdrom.c
   M /trunk/modules/access/vcd/vcd.c
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/access/vcdx/demux.c
   M /trunk/modules/access/vcdx/info.c
   M /trunk/modules/access/vcdx/intf.c
   M /trunk/modules/access/vcdx/vcdplayer.c
   M /trunk/modules/access_filter/dump.c
   M /trunk/modules/access_filter/record.c
   M /trunk/modules/access_filter/timeshift.c
   M /trunk/modules/access_output/bonjour.c
   M /trunk/modules/access_output/dummy.c
   M /trunk/modules/access_output/file.c
   M /trunk/modules/access_output/http.c
   M /trunk/modules/access_output/shout.c
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/audio_filter/channel_mixer/dolby.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/audio_filter/channel_mixer/mono.c
   M /trunk/modules/audio_filter/channel_mixer/simple.c
   M /trunk/modules/audio_filter/channel_mixer/trivial.c
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/a52tospdif.c
   M /trunk/modules/audio_filter/converter/dtstofloat32.c
   M /trunk/modules/audio_filter/converter/dtstospdif.c
   M /trunk/modules/audio_filter/converter/fixed32tofloat32.c
   M /trunk/modules/audio_filter/converter/fixed32tos16.c
   M /trunk/modules/audio_filter/converter/float32tos16.c
   M /trunk/modules/audio_filter/converter/float32tos8.c
   M /trunk/modules/audio_filter/converter/float32tou16.c
   M /trunk/modules/audio_filter/converter/float32tou8.c
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/audio_filter/converter/s16tofixed32.c
   M /trunk/modules/audio_filter/converter/s16tofloat32.c
   M /trunk/modules/audio_filter/converter/s16tofloat32swab.c
   M /trunk/modules/audio_filter/converter/s8tofloat32.c
   M /trunk/modules/audio_filter/converter/u8tofixed32.c
   M /trunk/modules/audio_filter/converter/u8tofloat32.c
   M /trunk/modules/audio_filter/equalizer.c
   M /trunk/modules/audio_filter/format.c
   M /trunk/modules/audio_filter/normvol.c
   M /trunk/modules/audio_filter/param_eq.c
   M /trunk/modules/audio_filter/resampler/bandlimited.c
   M /trunk/modules/audio_filter/resampler/linear.c
   M /trunk/modules/audio_filter/resampler/trivial.c
   M /trunk/modules/audio_filter/resampler/ugly.c
   M /trunk/modules/audio_mixer/float32.c
   M /trunk/modules/audio_mixer/spdif.c
   M /trunk/modules/audio_mixer/trivial.c
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/arts.c
   M /trunk/modules/audio_output/auhal.c
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/esd.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/audio_output/hd1000a.cpp
   M /trunk/modules/audio_output/jack.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/audio_output/portaudio.c
   M /trunk/modules/audio_output/sdl.c
   M /trunk/modules/audio_output/waveout.c
   M /trunk/modules/codec/a52.c
   M /trunk/modules/codec/adpcm.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/cinepak.c
   M /trunk/modules/codec/cmml/cmml.c
   M /trunk/modules/codec/cmml/intf.c
   M /trunk/modules/codec/cvdsub.c
   M /trunk/modules/codec/dirac.c
   M /trunk/modules/codec/dmo/buffer.c
   M /trunk/modules/codec/dmo/dmo.c
   M /trunk/modules/codec/dts.c
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/codec/faad.c
   M /trunk/modules/codec/fake.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/mux.c
   M /trunk/modules/codec/ffmpeg/postprocess.c
   M /trunk/modules/codec/ffmpeg/scale.c
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/ffmpeg/video_filter.c
   M /trunk/modules/codec/flac.c
   M /trunk/modules/codec/libmpeg2.c
   M /trunk/modules/codec/lpcm.c
   M /trunk/modules/codec/mash.cpp
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/codec/png.c
   M /trunk/modules/codec/quicktime.c
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/codec/realaudio.c
   M /trunk/modules/codec/sdl_image.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/codec/svcdsub.c
   M /trunk/modules/codec/tarkin.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/twolame.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/codec/x264.c
   M /trunk/modules/codec/xvmc/alloc.c
   M /trunk/modules/codec/xvmc/attributes.h
   M /trunk/modules/codec/xvmc/cpu_accel.c
   M /trunk/modules/codec/xvmc/cpu_state.c
   M /trunk/modules/codec/xvmc/decode.c
   M /trunk/modules/codec/xvmc/header.c
   M /trunk/modules/codec/xvmc/motion_comp.c
   M /trunk/modules/codec/xvmc/motion_comp_mmx.c
   M /trunk/modules/codec/xvmc/mpeg2.h
   M /trunk/modules/codec/xvmc/mpeg2_internal.h
   M /trunk/modules/codec/xvmc/slice.c
   M /trunk/modules/codec/xvmc/slice_xvmc_vld.c
   M /trunk/modules/codec/xvmc/vlc.h
   M /trunk/modules/codec/xvmc/xvmc_vld.h
   M /trunk/modules/codec/xvmc/xxmc.c
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/gestures.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/http/http.c
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/mvar.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/lirc.c
   M /trunk/modules/control/motion.c
   M /trunk/modules/control/netsync.c
   M /trunk/modules/control/ntservice.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/control/showintf.c
   M /trunk/modules/control/telnet.c
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/aiff.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/au.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/demux/demuxdump.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/gme.cpp
   M /trunk/modules/demux/live555.cpp
   M /trunk/modules/demux/mjpeg.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/mod.c
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mpc.c
   M /trunk/modules/demux/mpeg/h264.c
   M /trunk/modules/demux/mpeg/m4a.c
   M /trunk/modules/demux/mpeg/m4v.c
   M /trunk/modules/demux/mpeg/mpga.c
   M /trunk/modules/demux/mpeg/mpgv.c
   M /trunk/modules/demux/nsc.c
   M /trunk/modules/demux/nsv.c
   M /trunk/modules/demux/nuv.c
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/ps.h
   M /trunk/modules/demux/pva.c
   M /trunk/modules/demux/rawdv.c
   M /trunk/modules/demux/real.c
   M /trunk/modules/demux/subtitle.c
   M /trunk/modules/demux/ts.c
   M /trunk/modules/demux/tta.c
   M /trunk/modules/demux/ty.c
   M /trunk/modules/demux/vobsub.c
   M /trunk/modules/demux/voc.c
   M /trunk/modules/demux/wav.c
   M /trunk/modules/demux/xa.c
   M /trunk/modules/gui/beos/AudioOutput.cpp
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/modules/gui/macosx/interaction.h
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/sfilters.h
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/pda/pda_callbacks.h
   M /trunk/modules/gui/qnx/aout.c
   M /trunk/modules/gui/qnx/vout.c
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.hpp
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/components/preferences.hpp
   M /trunk/modules/gui/qt4/components/simple_preferences.hpp
   M /trunk/modules/gui/qt4/dialogs/interaction.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/qt4.hpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp
   M /trunk/modules/gui/skins2/commands/cmd_add_item.cpp
   M /trunk/modules/gui/skins2/commands/cmd_audio.cpp
   M /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp
   M /trunk/modules/gui/skins2/commands/cmd_dvd.cpp
   M /trunk/modules/gui/skins2/commands/cmd_fullscreen.cpp
   M /trunk/modules/gui/skins2/commands/cmd_input.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playtree.cpp
   M /trunk/modules/gui/skins2/commands/cmd_snapshot.cpp
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/vars/equalizer.cpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/skins2/vars/time.cpp
   M /trunk/modules/gui/skins2/vars/volume.cpp
   M /trunk/modules/gui/wince/dialogs.cpp
   M /trunk/modules/gui/wince/fileinfo.cpp
   M /trunk/modules/gui/wince/interface.cpp
   M /trunk/modules/gui/wince/iteminfo.cpp
   M /trunk/modules/gui/wince/menus.cpp
   M /trunk/modules/gui/wince/messages.cpp
   M /trunk/modules/gui/wince/open.cpp
   M /trunk/modules/gui/wince/playlist.cpp
   M /trunk/modules/gui/wince/preferences.cpp
   M /trunk/modules/gui/wince/preferences_widgets.cpp
   M /trunk/modules/gui/wince/subtitles.cpp
   M /trunk/modules/gui/wince/timer.cpp
   M /trunk/modules/gui/wince/video.cpp
   M /trunk/modules/gui/wince/wince.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/bookmarks.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/fileinfo.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.hpp
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_panel.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_stream.hpp
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_wrapper.hpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/extrapanel.cpp
   M /trunk/modules/gui/wxwidgets/input_manager.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/menus.cpp
   M /trunk/modules/gui/wxwidgets/video.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp
   M /trunk/modules/meta_engine/folder.c
   M /trunk/modules/meta_engine/id3tag.c
   M /trunk/modules/meta_engine/musicbrainz.c
   M /trunk/modules/meta_engine/taglib.cpp
   M /trunk/modules/misc/audioscrobbler.c
   M /trunk/modules/misc/dummy/aout.c
   M /trunk/modules/misc/dummy/decoder.c
   M /trunk/modules/misc/dummy/encoder.c
   M /trunk/modules/misc/dummy/input.c
   M /trunk/modules/misc/dummy/interface.c
   M /trunk/modules/misc/dummy/renderer.c
   M /trunk/modules/misc/dummy/vout.c
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/misc/gnutls.c
   M /trunk/modules/misc/logger.c
   M /trunk/modules/misc/notify/growl.c
   M /trunk/modules/misc/notify/msn.c
   M /trunk/modules/misc/notify/notify.c
   M /trunk/modules/misc/notify/xosd.c
   M /trunk/modules/misc/playlist/m3u.c
   M /trunk/modules/misc/playlist/old.c
   M /trunk/modules/misc/playlist/xspf.c
   M /trunk/modules/misc/probe/hal.c
   M /trunk/modules/misc/profile_parser.c
   M /trunk/modules/misc/rtsp.c
   M /trunk/modules/misc/screensaver.c
   M /trunk/modules/misc/svg.c
   M /trunk/modules/misc/win32text.c
   M /trunk/modules/mux/asf.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mp4.c
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/mux/mpjpeg.c
   M /trunk/modules/mux/ogg.c
   M /trunk/modules/mux/wav.c
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/h264.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c
   M /trunk/modules/services_discovery/bonjour.c
   M /trunk/modules/services_discovery/hal.c
   M /trunk/modules/services_discovery/podcast.c
   M /trunk/modules/services_discovery/sap.c
   M /trunk/modules/services_discovery/shout.c
   M /trunk/modules/services_discovery/upnp_cc.cpp
   M /trunk/modules/services_discovery/upnp_intel.cpp
   M /trunk/modules/stream_out/autodel.c
   M /trunk/modules/stream_out/bridge.c
   M /trunk/modules/stream_out/description.c
   M /trunk/modules/stream_out/display.c
   M /trunk/modules/stream_out/dummy.c
   M /trunk/modules/stream_out/duplicate.c
   M /trunk/modules/stream_out/es.c
   M /trunk/modules/stream_out/gather.c
   M /trunk/modules/stream_out/mosaic_bridge.c
   M /trunk/modules/stream_out/rtp.c
   M /trunk/modules/stream_out/standard.c
   M /trunk/modules/stream_out/switcher.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/stream_out/transrate/block.c
   M /trunk/modules/stream_out/transrate/frame.c
   M /trunk/modules/stream_out/transrate/transrate.c
   M /trunk/modules/video_chroma/i420_rgb.c
   M /trunk/modules/video_chroma/i420_rgb16.c
   M /trunk/modules/video_chroma/i420_rgb8.c
   M /trunk/modules/video_chroma/i420_ymga.c
   M /trunk/modules/video_chroma/i420_yuy2.c
   M /trunk/modules/video_chroma/i422_yuy2.c
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/blend.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/colorthres.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/modules/video_filter/gradient.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/magnify.c
   M /trunk/modules/video_filter/marq.c
   M /trunk/modules/video_filter/mosaic.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/motiondetect.c
   M /trunk/modules/video_filter/noise.c
   M /trunk/modules/video_filter/opencv_example.cpp
   M /trunk/modules/video_filter/opencv_wrapper.c
   M /trunk/modules/video_filter/osdmenu.c
   M /trunk/modules/video_filter/panoramix.c
   M /trunk/modules/video_filter/psychedelic.c
   M /trunk/modules/video_filter/puzzle.c
   M /trunk/modules/video_filter/ripple.c
   M /trunk/modules/video_filter/rotate.c
   M /trunk/modules/video_filter/rss.c
   M /trunk/modules/video_filter/rv32.c
   M /trunk/modules/video_filter/scale.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c
   M /trunk/modules/video_filter/wave.c
   M /trunk/modules/video_output/aa.c
   M /trunk/modules/video_output/caca.c
   M /trunk/modules/video_output/directfb.c
   M /trunk/modules/video_output/directx/direct3d.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c
   M /trunk/modules/video_output/directx/glwin32.c
   M /trunk/modules/video_output/fb.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/glide.c
   M /trunk/modules/video_output/hd1000v.cpp
   M /trunk/modules/video_output/image.c
   M /trunk/modules/video_output/mga.c
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/sdl.c
   M /trunk/modules/video_output/snapshot.c
   M /trunk/modules/video_output/svgalib.c
   M /trunk/modules/video_output/wingdi.c
   M /trunk/modules/video_output/x11/glx.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/video_output/x11/xvmc.c
   M /trunk/modules/visualization/galaktos/plugin.c
   M /trunk/modules/visualization/galaktos/plugin.h
   M /trunk/modules/visualization/goom.c
   M /trunk/modules/visualization/visual/effects.c
   M /trunk/modules/visualization/visual/visual.c
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po
   M /trunk/src/Makefile.am
   A /trunk/src/audio_output/aout_internal.h (from /trunk/include/aout_internal.h:18057)
   M /trunk/src/audio_output/common.c
   M /trunk/src/audio_output/dec.c
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/intf.c
   M /trunk/src/audio_output/mixer.c
   M /trunk/src/audio_output/output.c
   M /trunk/src/control/audio.c
   M /trunk/src/control/core.c
   M /trunk/src/control/input.c
   A /trunk/src/control/libvlc_internal.h (from /trunk/include/libvlc_internal.h:18058)
   M /trunk/src/control/log.c
   M /trunk/src/control/mediacontrol_audio_video.c
   M /trunk/src/control/mediacontrol_core.c
   A /trunk/src/control/mediacontrol_internal.h (from /trunk/include/mediacontrol_internal.h:18058)
   M /trunk/src/control/mediacontrol_util.c
   M /trunk/src/control/playlist.c
   M /trunk/src/control/video.c
   M /trunk/src/control/vlm.c
   M /trunk/src/input/access.c
   M /trunk/src/input/clock.c
   M /trunk/src/input/control.c
   M /trunk/src/input/decoder.c
   M /trunk/src/input/demux.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h
   M /trunk/src/input/item.c
   M /trunk/src/input/mem_stream.c
   M /trunk/src/input/meta.c
   M /trunk/src/input/stream.c
   M /trunk/src/input/subtitles.c
   M /trunk/src/input/var.c
   M /trunk/src/interface/interaction.c
   M /trunk/src/interface/interface.c
   A /trunk/src/interface/interface.h
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/configuration.c
   A /trunk/src/misc/configuration.h
   M /trunk/src/misc/cpu.c
   M /trunk/src/misc/dict.c
   M /trunk/src/misc/image.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/modules.c
   A /trunk/src/misc/modules.h
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/objects.c
   M /trunk/src/misc/stats.c
   M /trunk/src/misc/update.c
   M /trunk/src/misc/variables.c
   A /trunk/src/misc/variables.h
   M /trunk/src/misc/vlm.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/network/acl.c
   M /trunk/src/network/error.c
   M /trunk/src/network/getaddrinfo.c
   M /trunk/src/network/httpd.c
   M /trunk/src/network/io.c
   M /trunk/src/network/tcp.c
   M /trunk/src/network/tls.c
   M /trunk/src/network/udp.c
   M /trunk/src/osd/osd_parser.c
   M /trunk/src/osd/osd_text.c
   M /trunk/src/osd/osd_widgets.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/search.c
   M /trunk/src/playlist/services_discovery.c
   M /trunk/src/playlist/sort.c
   M /trunk/src/playlist/thread.c
   M /trunk/src/playlist/tree.c
   M /trunk/src/stream_output/announce.c
   M /trunk/src/stream_output/sap.c
   M /trunk/src/stream_output/stream_output.c
   A /trunk/src/stream_output/stream_output.h
   M /trunk/src/test/i18n_atof.c
   M /trunk/src/text/charset.c
   M /trunk/src/text/strings.c
   M /trunk/src/text/unicode.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_widgets.c
   M /trunk/src/video_output/vout_intf.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c
   M /trunk/src/video_output/vout_synchro.c

A bit of headers cleanup

* Headers in include must contain the structures and prototypes needed
  by the plugins and should be named vlc_*.
* Headers in include/vlc must contain the structures and prototypes
  needed by external libvlc clients

* Moved and renamed some things in headers. 
   - Removed vlc_cpu.h, vlc_error.h (merged in vlc_common)
   - Removed snapshot.h (merged in vlc_vout.h)
   - Removed vlc_spu.h (merged in vlc_osd.h)
   - Removed intf_eject.h and vlc_interaction.h (merged in vlc_interface)
   - Moved all internal headers to src
   - Merged vlc_video.h and video_output.h and move private things to src
   - Removed vlc/intf.h, vlc/aout.h, vlc/vout.h, vlc/decoder.h and vlc/input.h
     (meta headers for use in modules, and often implying too large 
     dependencies)
* Removed some useless dependencies
* Unexported a bunch of functions and structures used only in src/
  (--> Still some work here)
* Finally made input_thread_t and input_source_t (mostly) private. 
  Added input_GetItem to fetch the input_item of an input_thread
* Cleaned up deprecated entries in vlc_symbols.h and bumped up symbol 
  prefix

This commit has a 99% probability of breaking the build, 0.1% of killing
your cat and 0% of getting you hot chicks.

------------------------------------------------------------------------
r18061 | funman | 2006-11-25 22:18:25 -0800 (Sat, 25 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Fixes order of operands in a substraction.
courmisch, you make too much, it's time to have a rest

------------------------------------------------------------------------
r18060 | funman | 2006-11-25 14:38:49 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Fixes cross compilation of libgcrypt on MacOSX

------------------------------------------------------------------------
r18059 | courmisch | 2006-11-25 10:51:11 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Remove leftover FIXME

------------------------------------------------------------------------
r18057 | courmisch | 2006-11-25 08:19:30 -0800 (Sat, 25 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Split Win32 performance timer frequency adjustment division carefully
in two halves to avoid integer overflows after 29 days.

------------------------------------------------------------------------
r18056 | courmisch | 2006-11-25 08:06:33 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Compile fix

------------------------------------------------------------------------
r18055 | courmisch | 2006-11-25 07:42:36 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Fix very unlikely race condition

------------------------------------------------------------------------
r18054 | courmisch | 2006-11-25 07:38:10 -0800 (Sat, 25 Nov 2006) | 4 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Factorize mwait() code,
except for POSIX timers case, which is currently the only natively absolute
timers implementation on LibVLC.

------------------------------------------------------------------------
r18052 | courmisch | 2006-11-25 07:07:40 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/INSTALL

Add note for FreeBSD 4

------------------------------------------------------------------------
r18051 | courmisch | 2006-11-25 06:49:31 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

update-po again (cheap one!)

------------------------------------------------------------------------
r18050 | courmisch | 2006-11-25 06:38:54 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_repository.cpp

Use utf8 directory wrappers

------------------------------------------------------------------------
r18049 | courmisch | 2006-11-25 06:19:50 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Non-libtool fix attempt

------------------------------------------------------------------------
r18048 | courmisch | 2006-11-25 06:10:59 -0800 (Sat, 25 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

Skins2 theme loader:
 - use utf8_(read|open)dir
 - do not assume that stat() succeeds (tiny race condition)

------------------------------------------------------------------------
r18047 | courmisch | 2006-11-25 05:38:09 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

Fix a few warnings and remove extra white spaces

------------------------------------------------------------------------
r18046 | courmisch | 2006-11-25 05:25:03 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv: use (open|read)dir wrappers

------------------------------------------------------------------------
r18045 | courmisch | 2006-11-25 05:24:40 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

Fix precompiler warning

------------------------------------------------------------------------
r18044 | fkuehne | 2006-11-25 04:56:51 -0800 (Sat, 25 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.m

* added numerous casts to silence compilation warnings introduced with const chars in module_config_t. still needs severe testing on other Macs.
------------------------------------------------------------------------
r18042 | courmisch | 2006-11-25 03:25:45 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h

Try to fix linking

------------------------------------------------------------------------
r18041 | dionoea | 2006-11-25 03:15:25 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/NEWS

Add puzzle to the news

------------------------------------------------------------------------
r18040 | courmisch | 2006-11-25 01:59:49 -0800 (Sat, 25 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/modules.c
   M /trunk/src/text/unicode.c

Attempt to use wide directory indexing on Win32
Might break stuff, but I cannot test much because of DBus vs Win32 breakage(!)

------------------------------------------------------------------------
r18039 | courmisch | 2006-11-25 01:50:25 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Temporarily fix Win32 at the expense of IPv6 SSM

------------------------------------------------------------------------
r18038 | courmisch | 2006-11-25 01:47:40 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h

Fix Win32 compilation warning

------------------------------------------------------------------------
r18037 | courmisch | 2006-11-25 01:11:20 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h

Don't export externally unused symbols

------------------------------------------------------------------------
r18036 | courmisch | 2006-11-25 01:06:54 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/text/unicode.c

Continuation of previous commit

------------------------------------------------------------------------
r18035 | courmisch | 2006-11-25 01:03:44 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/text/unicode.c

Fix invalid mix of closedir and free on Win32.

------------------------------------------------------------------------
r18034 | hartman | 2006-11-24 18:22:38 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/src/input/input.c
   M /trunk/src/playlist/engine.c

* Fix an accidental change from [18009] and add a mutex destroy I forgot to commit

------------------------------------------------------------------------
r18033 | hartman | 2006-11-24 18:11:57 -0800 (Fri, 24 Nov 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/gnutls-win32.patch

* Fix the gnutls win32 patch
  if !defined _WIN32 should be either ifndef _WIN32 or if !defined(_WIN32)


------------------------------------------------------------------------
r18032 | hartman | 2006-11-24 18:06:52 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* gnutls win32 patch breaks on non win32 builds

------------------------------------------------------------------------
r18031 | courmisch | 2006-11-24 12:43:18 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

We have a problem here.

------------------------------------------------------------------------
r18030 | courmisch | 2006-11-24 12:42:44 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/network.h
   D /trunk/modules/misc/network

Remove some dead code

------------------------------------------------------------------------
r18029 | courmisch | 2006-11-24 12:33:26 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Darwin compile fix

------------------------------------------------------------------------
r18027 | courmisch | 2006-11-24 12:10:36 -0800 (Fri, 24 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/network/udp.c

- Port net_OpenUDP to the agnostic network core
- and merge some ASM/SSM code

------------------------------------------------------------------------
r18026 | xtophe | 2006-11-24 11:50:37 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

Use LOW_DELAY only with MPEG1/2. Closes #864

------------------------------------------------------------------------
r18025 | xtophe | 2006-11-24 10:26:34 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

swscale is modern so with a .pc. so only test for swscale.h inside the pkg-config block.

------------------------------------------------------------------------
r18022 | courmisch | 2006-11-24 09:27:39 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Sync PO files to fix distcheck

------------------------------------------------------------------------
r18019 | courmisch | 2006-11-24 08:35:23 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

platform check -> feature check

------------------------------------------------------------------------
r18017 | courmisch | 2006-11-24 07:46:43 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

Factorize HTTPd error messages

------------------------------------------------------------------------
r18015 | courmisch | 2006-11-24 07:16:18 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/network/httpd.c

Const fixes

------------------------------------------------------------------------
r18009 | hartman | 2006-11-23 08:06:13 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c
   M /trunk/src/input/input.c
   M /trunk/src/libvlc-common.c

* destroy some mutex'es once in a while to prevent memleaks. Suggested by a forumuser, name pending. 

------------------------------------------------------------------------
r18008 | damienf | 2006-11-23 07:25:35 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

- compile fix

------------------------------------------------------------------------
r18005 | hartman | 2006-11-23 07:20:06 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

* Fix playlist play of mp4 ref files.

------------------------------------------------------------------------
r18003 | courmisch | 2006-11-23 06:57:19 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Remove extra annoying deps

------------------------------------------------------------------------
r18002 | funman | 2006-11-23 06:01:56 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/toolbox

Don't clean contribs

------------------------------------------------------------------------
r18000 | jb | 2006-11-23 05:37:45 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

Qt4: This would be better. And should now be fine.


------------------------------------------------------------------------
r17998 | jb | 2006-11-23 05:33:05 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Qt4: forgotten files in parent directory. Sorry!


------------------------------------------------------------------------
r17997 | jb | 2006-11-23 05:12:31 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   A /trunk/modules/gui/qt4/dialogs/mediainfo.cpp (from /trunk/modules/gui/qt4/dialogs/streaminfo.cpp:17995)
   A /trunk/modules/gui/qt4/dialogs/mediainfo.hpp (from /trunk/modules/gui/qt4/dialogs/streaminfo.hpp:17995)
   D /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   D /trunk/modules/gui/qt4/dialogs/streaminfo.hpp

Qt4 : Rename streaminfo => mediainfo


------------------------------------------------------------------------
r17996 | damienf | 2006-11-23 04:32:57 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/activex/main.cpp

activex: make CATID redefinitions static & private to avoid symbol conflicts

------------------------------------------------------------------------
r17995 | courmisch | 2006-11-23 04:07:54 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/modules/misc/network/ipv6.c

Remove dead code

------------------------------------------------------------------------
r17994 | jb | 2006-11-23 03:59:39 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Qt4 : Various changes especially about StreamInfo => MediaInfo


------------------------------------------------------------------------
r17993 | courmisch | 2006-11-23 03:52:11 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Check for error (not that I expect one)

------------------------------------------------------------------------
r17992 | courmisch | 2006-11-23 03:48:32 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Try to use dual-stack when needed, and warn user if it failed.

------------------------------------------------------------------------
r17991 | courmisch | 2006-11-23 03:22:15 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

If there is no local neither remote endpoint, default to listening

------------------------------------------------------------------------
r17990 | courmisch | 2006-11-23 03:21:29 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/modules/misc/network/ipv6.c
   M /trunk/src/network/udp.c

Suppress the v6only kludge

------------------------------------------------------------------------
r17989 | courmisch | 2006-11-23 03:12:49 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Use net_ListenUDP1 and net_ConnectUDP when possible

------------------------------------------------------------------------
r17988 | damienf | 2006-11-23 03:10:15 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/activex/main.cpp

- latest mingw headers removed some category definitions

------------------------------------------------------------------------
r17987 | courmisch | 2006-11-23 02:04:48 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

Fix plugin cache - close #860

------------------------------------------------------------------------
r17986 | md | 2006-11-23 01:44:39 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

Compile fix

------------------------------------------------------------------------
r17985 | md | 2006-11-23 01:21:16 -0800 (Thu, 23 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/bookmarks.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/infopanels.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/interaction.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences_widgets.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_panel.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/extrapanel.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp

Completely replace all ANSI CP dependend mb_str()
with mb_str(wxConvUTF8)


------------------------------------------------------------------------
r17983 | funman | 2006-11-22 15:25:15 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/gnutls-win32.patch

Ignore gai_strerror check on win32.
Should be fixed at configure stage

------------------------------------------------------------------------
r17982 | funman | 2006-11-22 14:57:07 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/faad2.patch

add a check to lrintf for systems that define it in libm

------------------------------------------------------------------------
r17981 | xtophe | 2006-11-22 14:51:54 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences_widgets.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/subtitles.cpp

Adapt to the new config_item_t. 

------------------------------------------------------------------------
r17980 | courmisch | 2006-11-22 14:09:59 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/Makefile.am

SONAME change. Muahahahahahahahahahahahahahahahahahahahahahahahahahahahahahah!
(vlc 0.9.0 is definitely not going to be ABI-compatible with 0.8.6).

------------------------------------------------------------------------
r17979 | funman | 2006-11-22 14:06:26 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/tremor.patch

Updates tremor patch

------------------------------------------------------------------------
r17978 | courmisch | 2006-11-22 14:05:58 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Increase ABI revision

------------------------------------------------------------------------
r17977 | courmisch | 2006-11-22 14:00:21 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Don't try IPv6 SSM if not defined

------------------------------------------------------------------------
r17976 | courmisch | 2006-11-22 13:58:42 -0800 (Wed, 22 Nov 2006) | 5 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Read configuration file in a single pass (instead of one per module).
(I get about hundred time faster config load here, but right, there are
 much slower operations in libvlc startup anyway
 -- and the plugin cache breakage is not going to help).

------------------------------------------------------------------------
r17975 | fkuehne | 2006-11-22 13:27:50 -0800 (Wed, 22 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

* enable GCC99 compatiblity for ObjC code
------------------------------------------------------------------------
r17974 | fkuehne | 2006-11-22 13:26:21 -0800 (Wed, 22 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.m

* compilation fixes to address courmisch's API changes. need massive testing and more fixes to handle various strings
------------------------------------------------------------------------
r17973 | jpsaman | 2006-11-22 13:02:28 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/libdc1394-noexamples.patch
   M /trunk/extras/contrib/src/packages.mak

Add libraw1394 and libcd1394 to the contrib build system. The libraries are needed for DV support.

------------------------------------------------------------------------
r17972 | courmisch | 2006-11-22 12:42:25 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Factorize code to open configuration file

------------------------------------------------------------------------
r17971 | courmisch | 2006-11-22 12:00:19 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/dvdnav.c
   M /trunk/src/Makefile.am
   M /trunk/src/input/es_out.c
   D /trunk/src/misc/charset.c
   D /trunk/src/misc/iso-639_def.h
   D /trunk/src/misc/iso_lang.c
   D /trunk/src/misc/strings.c
   D /trunk/src/misc/unicode.c
   A /trunk/src/text
   A /trunk/src/text/charset.c (from /trunk/src/misc/charset.c:17970)
   A /trunk/src/text/iso-639_def.h (from /trunk/src/misc/iso-639_def.h:17970)
   A /trunk/src/text/iso_lang.c (from /trunk/src/misc/iso_lang.c:17970)
   A /trunk/src/text/strings.c (from /trunk/src/misc/strings.c:17970)
   A /trunk/src/text/unicode.c (from /trunk/src/misc/unicode.c:17970)

Move encoding and language stuff to their own directory

------------------------------------------------------------------------
r17970 | courmisch | 2006-11-22 11:50:58 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/visualization/galaktos/PCM.c

int16_t needs <inttypes.h>. Should fix FreeBSD unhapiness with addPCM().

------------------------------------------------------------------------
r17969 | courmisch | 2006-11-22 11:38:16 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/qt4.cpp

Never use empty help text for plugin variable - close #859

------------------------------------------------------------------------
r17968 | funman | 2006-11-22 10:56:16 -0800 (Wed, 22 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Use correct patch syntax
------------------------------------------------------------------------
r17967 | courmisch | 2006-11-22 10:56:13 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/update.c

Fix warning

------------------------------------------------------------------------
r17966 | courmisch | 2006-11-22 10:53:17 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp

Qt4 compilation fix

------------------------------------------------------------------------
r17965 | courmisch | 2006-11-22 10:42:57 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp

Partial compilation fix

------------------------------------------------------------------------
r17964 | courmisch | 2006-11-22 10:15:56 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

- Fix today's regression in plugin cache
- Fix one more old crasher in the plugin cache loader

------------------------------------------------------------------------
r17963 | courmisch | 2006-11-22 10:11:07 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Work around for core target

------------------------------------------------------------------------
r17961 | Trax | 2006-11-22 09:45:58 -0800 (Wed, 22 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi.in

vlc.win32.nsi.in: Remove whitespace.
------------------------------------------------------------------------
r17960 | courmisch | 2006-11-22 09:40:47 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/modules_inner.h
   M /trunk/src/misc/configuration.c

Fix module entry error handling

------------------------------------------------------------------------
r17959 | courmisch | 2006-11-22 09:35:08 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Fix warning

------------------------------------------------------------------------
r17958 | courmisch | 2006-11-22 09:13:24 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules.c

Attempt to fix C++ compilation

------------------------------------------------------------------------
r17956 | courmisch | 2006-11-22 08:06:15 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

Fix a bunch of old crashers in the plugin cache

------------------------------------------------------------------------
r17955 | courmisch | 2006-11-22 07:50:29 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules.c

A more space conservative module_config_t

------------------------------------------------------------------------
r17954 | courmisch | 2006-11-22 07:49:35 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/xvmc

svn:ignore

------------------------------------------------------------------------
r17952 | courmisch | 2006-11-22 05:28:40 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/modules_inner.h

Code simplification

------------------------------------------------------------------------
r17951 | courmisch | 2006-11-22 05:14:17 -0800 (Wed, 22 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/misc/gnutls.c

- Fix compiler warning
- Fix directory separator on Windows
- Some cleanup

------------------------------------------------------------------------
r17950 | damienf | 2006-11-22 05:10:57 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/gettext-win32.patch
   A /trunk/extras/contrib/src/Patches/libgpg-error-win32.patch

- fix for locale SUBLANG definitions which conflicts with mingw headers

------------------------------------------------------------------------
r17949 | courmisch | 2006-11-22 05:04:00 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Fix libvlc.la dependencies

------------------------------------------------------------------------
r17948 | courmisch | 2006-11-22 04:57:04 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/vlc-api.pl

Generate libvlc.sym separately from vlc_symbols.h

------------------------------------------------------------------------
r17947 | damienf | 2006-11-22 04:48:17 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h

- better fix for DIR typedef error

------------------------------------------------------------------------
r17946 | damienf | 2006-11-22 03:41:59 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

it is good pratice to specify headers that define custom types

------------------------------------------------------------------------
r17945 | xtophe | 2006-11-22 03:30:30 -0800 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h

io.h on mingw contains a bunch of old functions *for compatibility* which break with the way we deine close at closesocket. So disable all those old stuff.

------------------------------------------------------------------------
r17942 | jpsaman | 2006-11-21 15:08:31 -0800 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

Disable building rtcp stream output module for now.
------------------------------------------------------------------------
r17941 | Trax | 2006-11-21 14:38:11 -0800 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /trunk/NEWS

NEWS: Add note that Windows 9x/ME is no longer supported and include info on MSLU.
------------------------------------------------------------------------
r17940 | courmisch | 2006-11-21 14:07:45 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/misc/configuration.c

- Save config file as UTF-8, starting with Byte-Order-Mark.
- Leverage fputc().

------------------------------------------------------------------------
r17939 | courmisch | 2006-11-21 13:59:08 -0800 (Tue, 21 Nov 2006) | 4 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Look for Byte Order Mark (UTF-8 only) while loading config file.
If present, assume everything is UTF-8 (obviously);
if not, assume locale charset.

------------------------------------------------------------------------
r17938 | courmisch | 2006-11-21 13:55:59 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Some code cleanup

------------------------------------------------------------------------
r17936 | funman | 2006-11-21 13:13:42 -0800 (Tue, 21 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc.h

Reenables D-Bus one instance code, without needing to modify libvlc structs
Outputs an error and continue if D-Bus control isn't enabled on the first instance
Removes unneeded NewInstance signal
Closes #505

------------------------------------------------------------------------
r17935 | courmisch | 2006-11-21 13:05:50 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Cosmetic fixes

------------------------------------------------------------------------
r17934 | jb | 2006-11-21 12:43:47 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Qt4: Small change in order to not have Sout and Stream Info open when you click on Info... 


------------------------------------------------------------------------
r17933 | courmisch | 2006-11-21 12:42:33 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/unicode.c

Return DIR from utf8_open to avoid casting bugs

------------------------------------------------------------------------
r17932 | courmisch | 2006-11-21 12:37:44 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Some more cleanup

------------------------------------------------------------------------
r17931 | courmisch | 2006-11-21 12:34:51 -0800 (Tue, 21 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Do not define constant manually without platform check!
(and even, it pretty much sucks as we have seen already)
Should fix compilation on FreeBSD+glibc.

------------------------------------------------------------------------
r17930 | courmisch | 2006-11-21 10:44:12 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Suppress duplicated msleep() code

------------------------------------------------------------------------
r17929 | courmisch | 2006-11-21 10:40:42 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Fix the absolute POSIX timer and use it

------------------------------------------------------------------------
r17928 | courmisch | 2006-11-21 10:23:55 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

Fix segmentation fault at ffmpeg startup (fixes #858)

------------------------------------------------------------------------
r17927 | courmisch | 2006-11-21 09:08:45 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/vcd/cdrom.c

Add missing header

------------------------------------------------------------------------
r17926 | funman | 2006-11-21 09:05:38 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/extras/dbus-vlc.glade
   M /trunk/extras/dbus-vlc.py

Don't use an infinite number of timers
Fixes dialog size, add tooltip

------------------------------------------------------------------------
r17925 | courmisch | 2006-11-21 09:04:07 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Fix typo

------------------------------------------------------------------------
r17924 | courmisch | 2006-11-21 08:55:36 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/modules_inner.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/configuration.c

Fix warning, and make config_end constant

------------------------------------------------------------------------
r17923 | funman | 2006-11-21 08:47:14 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc.h

Revert [17878], that must not be made in libvlc, but rather in vlc
Need to get command line options in vlc.c (ref #505)

------------------------------------------------------------------------
r17922 | courmisch | 2006-11-21 08:46:49 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/src/Makefile.am

Fix abusive redefinition of implicit make rules

------------------------------------------------------------------------
r17921 | courmisch | 2006-11-21 08:42:07 -0800 (Tue, 21 Nov 2006) | 5 lines
Changed paths:
   M /trunk/bindings/java/src/Makefile.am

Fix automake directory variable (actually remove superfluous definition).
You cannot create directory variable that way and expect it to work;
if you *actually* need a directory variable, it would have to be fooexecdir
rather than foodir otherwise automake thinks it's a data directory.

------------------------------------------------------------------------
r17920 | courmisch | 2006-11-21 08:39:59 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/java/src/Makefile.am

Cleanup

------------------------------------------------------------------------
r17919 | funman | 2006-11-21 08:34:02 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/misc/probe/hal.c
   M /trunk/modules/services_discovery/hal.c
   M /trunk/src/libvlc-common.c

Unref D-Bus connections when not using them anymore

------------------------------------------------------------------------
r17918 | funman | 2006-11-21 07:59:50 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/dbus-vlc.glade
   M /trunk/extras/dbus-vlc.py

Fixes input position display

------------------------------------------------------------------------
r17917 | funman | 2006-11-21 07:58:36 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/INSTALL.wince
   M /trunk/extras/contrib/src/Makefile

Revert [17900] as it doesn't harm to specify --target

------------------------------------------------------------------------
r17916 | funman | 2006-11-21 07:54:38 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Fixes, kill, and bury #857

------------------------------------------------------------------------
r17915 | funman | 2006-11-21 06:33:31 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Uses dbus flags to build libvlc (fixes #857)

------------------------------------------------------------------------
r17914 | funman | 2006-11-21 06:31:01 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/dbus-vlc.glade
   M /trunk/extras/dbus-vlc.py
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Implement input position control

------------------------------------------------------------------------
r17913 | courmisch | 2006-11-21 04:46:06 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/unicode.c

Revert broken [17908:17910]

------------------------------------------------------------------------
r17912 | funman | 2006-11-21 04:06:37 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/dbus-vlc.glade
   M /trunk/extras/dbus-vlc.py
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Implement Volume control

------------------------------------------------------------------------
r17911 | jpsaman | 2006-11-21 02:46:12 -0800 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/mux/rtp/Modules.am
   M /trunk/modules/mux/rtp/rtcp.c
   M /trunk/modules/mux/rtp/rtcp.h

Rewrote internal RTCP to support multiple client connections. TODO: rtcp scheduling function, server socket, hooking it up with RTP stream_out connections.
------------------------------------------------------------------------
r17910 | funman | 2006-11-21 02:26:29 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/extras/libc.c

Use only wide char functions, on win9x too
win9x testers, raise your hand

------------------------------------------------------------------------
r17909 | funman | 2006-11-20 22:26:41 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c

Use non wide char functions on windows 9x

------------------------------------------------------------------------
r17908 | funman | 2006-11-20 21:58:55 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/unicode.c

Unicode support in directory access on windows. Patch by xxcv. Untested.

------------------------------------------------------------------------
r17907 | funman | 2006-11-20 21:40:58 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.h

Correct method signature

------------------------------------------------------------------------
r17906 | funman | 2006-11-20 19:53:22 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/services_discovery.c

Debug messages shouldn't be shown with printf

------------------------------------------------------------------------
r17905 | jb | 2006-11-20 18:20:46 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp

*Qt4-Open: Hide by defaults.


------------------------------------------------------------------------
r17904 | funman | 2006-11-20 18:15:09 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/meta_engine/taglib.cpp

Removes vorbis header since taglib isn't used to parse ogg vorbis meta data at the moment

------------------------------------------------------------------------
r17903 | jb | 2006-11-20 18:15:04 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Qt4: ExtraAudioToggle


------------------------------------------------------------------------
r17902 | funman | 2006-11-20 18:13:48 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/meta_engine/taglib.cpp

Corrects indentation

------------------------------------------------------------------------
r17901 | funman | 2006-11-20 17:57:47 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/meta_engine/taglib.cpp

Artist, Album and Track musicbrainz IDs detection

------------------------------------------------------------------------
r17900 | funman | 2006-11-20 17:00:38 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/INSTALL.wince
   M /trunk/extras/contrib/src/Makefile

--target is only used when building a compiler

------------------------------------------------------------------------
r17898 | xtophe | 2006-11-20 14:16:35 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/configuration.h
   M /trunk/src/libvlc.h
   M /trunk/src/misc/configuration.c

Add a flag for config option to mark it as unsaveable. Refs #856 (Still need to test on a win box).

------------------------------------------------------------------------
r17897 | jb | 2006-11-20 11:38:21 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/ui/open.ui

Qt4: Just a toggle test for the advanced Panel.


------------------------------------------------------------------------
r17896 | damienf | 2006-11-20 07:22:37 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

oops, tab expansion is a bad thing on Makefile

------------------------------------------------------------------------
r17895 | damienf | 2006-11-20 07:16:54 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

contribs: force --target, --build and --host whether cross compiling or not to get around some configure script bugs

------------------------------------------------------------------------
r17894 | funman | 2006-11-20 02:34:33 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add dbus-vlc.py to dist

------------------------------------------------------------------------
r17893 | funman | 2006-11-20 02:22:50 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   A /trunk/extras/dbus-vlc.glade
   A /trunk/extras/dbus-vlc.py

Include sample D-Bus controller

------------------------------------------------------------------------
r17892 | xtophe | 2006-11-20 02:03:22 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Include xvmc plugin in the build system

------------------------------------------------------------------------
r17891 | funman | 2006-11-20 01:21:33 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/dbus.c

Uses playlist facilities
Doesn't lock the playlist if unneeded

------------------------------------------------------------------------
r17890 | funman | 2006-11-19 22:41:52 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/meta.c

Filters '/' characters in tags, to create valid filenames

------------------------------------------------------------------------
r17889 | funman | 2006-11-19 21:28:45 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/vlm.txt

Updates old documentation a bit

------------------------------------------------------------------------
r17888 | bigben | 2006-11-19 21:09:23 -0800 (Sun, 19 Nov 2006) | 6 lines
Changed paths:
   M /trunk/modules/audio_filter/resampler/linear.c


* Quick fix when transcoding and resampling mono audio tracks.
* The transcode module should be reviewed: all the the fields in p
_enc->fmt_in are not set, it seems 


------------------------------------------------------------------------
r17887 | funman | 2006-11-19 20:49:59 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_meta.h
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/meta_engine/id3tag.c

Ignore empty vorbis comments (closes #704)
Comment unusued artist & album musicbrainz ids

------------------------------------------------------------------------
r17885 | funman | 2006-11-19 19:54:23 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Fixes broken D-Bus detection
Thanks to Daniel Str?\195?\164nger

------------------------------------------------------------------------
r17884 | funman | 2006-11-19 19:53:22 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Remove Audio cds and their tracks at ejection
Detect audio and video on CD-R and DVD-R mediums

------------------------------------------------------------------------
r17883 | funman | 2006-11-19 18:39:32 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/playlist_manager.cpp

Wxwidgets playlist fix

------------------------------------------------------------------------
r17882 | jb | 2006-11-19 17:52:35 -0800 (Sun, 19 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/ui/open_net.ui

* Qt4: added network and disk UIs to Open

Still not functionnal and ugly code.


------------------------------------------------------------------------
r17881 | xtophe | 2006-11-19 15:18:13 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

Make update-po


------------------------------------------------------------------------
r17880 | xtophe | 2006-11-19 15:07:33 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/ui/equalizer.ui

i18n fixes

------------------------------------------------------------------------
r17879 | funman | 2006-11-19 14:48:48 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

removes already done "todo"

------------------------------------------------------------------------
r17878 | funman | 2006-11-19 14:46:25 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc.h

Initial support of one instance mode on systems running D-Bus

------------------------------------------------------------------------
r17877 | hartman | 2006-11-19 14:22:14 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

* Don't Warn on VP62 video in NSV. It's supported now, so no need to print useless info about it.

------------------------------------------------------------------------
r17876 | hartman | 2006-11-19 14:05:53 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

* Fix shoutcast SD Delete. playlist is not locked.

------------------------------------------------------------------------
r17875 | thresh | 2006-11-19 13:51:02 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp
   A /trunk/modules/gui/qt4/pixmaps/playlist_icon.png
   M /trunk/modules/gui/qt4/res.qrc

added normal looking playlist icon (converted to png from wx module)

------------------------------------------------------------------------
r17874 | hartman | 2006-11-19 13:44:16 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* Fix OSX GUI after playlist API update

------------------------------------------------------------------------
r17873 | hartman | 2006-11-19 13:34:01 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* subtitle.c: const warning fixes

------------------------------------------------------------------------
r17872 | hartman | 2006-11-19 13:28:10 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/info.c

* Fix CDDA module after playlist API updates
* + a const fix

------------------------------------------------------------------------
r17870 | dionoea | 2006-11-19 10:04:00 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp

Use appropriate help text.

------------------------------------------------------------------------
r17869 | gbazin | 2006-11-19 09:57:55 -0800 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: when we use the packed attribute we really mean it so don't output useless compilation warnings.
------------------------------------------------------------------------
r17868 | Trax | 2006-11-19 09:03:59 -0800 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /trunk/src/control/playlist.c

* src/control/playlist.c: Fix typo vlc_mutex_unlokc -> vlc_mutex_unlock
------------------------------------------------------------------------
r17866 | funman | 2006-11-19 08:34:09 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_devices.h

Reenables device probe header

------------------------------------------------------------------------
r17864 | zorglub | 2006-11-19 08:12:43 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Input options inheritance in directory access (Closes:#353)

------------------------------------------------------------------------
r17863 | funman | 2006-11-19 08:09:16 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/playlist_manager.cpp

Fixes wxwidgets compilation

------------------------------------------------------------------------
r17862 | zorglub | 2006-11-19 07:54:44 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   D /trunk/modules/gui/qt4/pixmaps/art.xpm
   A /trunk/modules/gui/qt4/pixmaps/noart.png
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/res.qrc
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c

Beginning of implementation of art fetch when played

------------------------------------------------------------------------
r17861 | zorglub | 2006-11-19 06:37:04 -0800 (Sun, 19 Nov 2006) | 7 lines
Changed paths:
   M /trunk/include/vlc_devices.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/devices.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/services_discovery.c
   M /trunk/src/playlist/tree.c

* Documentation belongs to the .h, step 1
* Unexported a few internal functions
  (playlist_ItemDelete, playlist_ThreadCreate, playlist_ThreadDestroy)
* Remove playlist_AddSDModules and merge its features into ServicesDiscoveryAdd
* Fix a bug in signaling of node destruction (fixes Qt source selector assertion failures)
* Disable unused generic devices probe code

------------------------------------------------------------------------
r17860 | Trax | 2006-11-19 06:34:36 -0800 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi.in

* vlc.win32.nsi.in: Add shortcuts in seperate Utilities menu through the installer for easy access to main aout, vout and intf switches. Add NEWS.txt as Release Notes.
------------------------------------------------------------------------
r17859 | dionoea | 2006-11-19 06:04:06 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h

Small doxygen doc fix (i hope)

------------------------------------------------------------------------
r17858 | zorglub | 2006-11-19 05:33:27 -0800 (Sun, 19 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

Compile fix

------------------------------------------------------------------------
r17857 | zorglub | 2006-11-19 05:20:02 -0800 (Sun, 19 Nov 2006) | 16 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/access/cdda/info.c
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/codec/cmml/intf.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/wizard.m
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/playlist_manager.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp
   M /trunk/modules/misc/testsuite/Modules.am
   D /trunk/modules/misc/testsuite/playlist.c
   M /trunk/modules/services_discovery/Modules.am
   M /trunk/modules/services_discovery/bonjour.c
   D /trunk/modules/services_discovery/daap.c
   M /trunk/modules/services_discovery/hal.c
   M /trunk/modules/services_discovery/sap.c
   M /trunk/modules/services_discovery/upnp_cc.cpp
   M /trunk/modules/services_discovery/upnp_intel.cpp
   M /trunk/src/control/playlist.c
   M /trunk/src/input/meta.c
   M /trunk/src/libvlc.c
   M /trunk/src/playlist/control.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/search.c
   M /trunk/src/playlist/tree.c

Finish the playlist API transition (hopefully)
 - Remove a bunch of transition now-useless API.
 - Remove all playlist_Lock* functions. Matching functions now accept a
   b_locked parameter that should be set to VLC_TRUE if the playlist is
   locked when calling the function. The advantages are that it reduces
   the API bloat and that the b_locked flag can be propagated in the
   call stack
 - Remove useless playlist testsuite
 - Remove broken daap plugin (unmaintained wrt VLC API changes, relies on 
   an unmaintained library, probably unable to read content from new itunes, 
   ...). Implementations exist in rhythmbox, xmms2 and 
   daap-sharp, we should see if a proper lib exists or if we could 
   make one
 - Reduce verbosity a bit
 - Documentation

------------------------------------------------------------------------
r17856 | funman | 2006-11-18 19:43:32 -0800 (Sat, 18 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Adds GetPlayingItem method
Fixes Quit method
Fixes TogglePause method

------------------------------------------------------------------------
r17855 | funman | 2006-11-18 15:12:45 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

svn:propedit Id

------------------------------------------------------------------------
r17854 | funman | 2006-11-18 14:19:40 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Add Next, Prev, and Stop methods

------------------------------------------------------------------------
r17853 | funman | 2006-11-18 12:32:12 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.h

Add missing </method> tag

------------------------------------------------------------------------
r17852 | funman | 2006-11-18 12:26:51 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/dbus.c
   M /trunk/modules/control/dbus.h

Added quit method

------------------------------------------------------------------------
r17851 | hartman | 2006-11-18 11:38:40 -0800 (Sat, 18 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/mux.c
   M /trunk/modules/codec/ffmpeg/postprocess.c
   M /trunk/modules/codec/ffmpeg/scale.c
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/ffmpeg/video_filter.c

* Don't use deprecated functions if libswscaler is present. 
  - Note that these are not all replaced atm, so some functionality might be lacking
* Make the minimum version of libavcodec version 5000 (september 2005).
  - Removed all the checks for previous API versions.

------------------------------------------------------------------------
r17849 | funman | 2006-11-18 10:37:45 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/control/Modules.am
   A /trunk/modules/control/dbus.c
   A /trunk/modules/control/dbus.h

Initial support of D-Bus based control interface

------------------------------------------------------------------------
r17848 | xtophe | 2006-11-18 05:20:29 -0800 (Sat, 18 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Oups chnage that in [17846] by mistake

------------------------------------------------------------------------
r17847 | littlejohn | 2006-11-18 02:49:53 -0800 (Sat, 18 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/src/Makefile.am

fix for java bindings native files makefile
------------------------------------------------------------------------
r17846 | xtophe | 2006-11-17 17:46:32 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Acording to the latest test wxwidgets in unicode mode works better

------------------------------------------------------------------------
r17845 | xtophe | 2006-11-17 17:32:26 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-alignment.patch (from /branches/0.8.6/extras/contrib/src/Patches/ffmpeg-alignment.patch:17595)

Fix the alignment issue in ffmpeg. Based on patch by Thorsten Jordan. Almost closes #757. Forwardport of [17595]

------------------------------------------------------------------------
r17844 | littlejohn | 2006-11-17 16:47:23 -0800 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/org/videolan/jvlc/JVLCPanel.java

jvlcpanel constructor added
------------------------------------------------------------------------
r17843 | littlejohn | 2006-11-17 16:00:08 -0800 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /trunk/src/control/playlist.c

libvlc_playlist_add enabled
------------------------------------------------------------------------
r17842 | hartman | 2006-11-17 15:59:37 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Update ffmpeg contrib

------------------------------------------------------------------------
r17841 | hartman | 2006-11-17 15:34:45 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/mux.c
   M /trunk/modules/codec/ffmpeg/scale.c

* Fix ffmpeg include's

------------------------------------------------------------------------
r17840 | hartman | 2006-11-17 14:52:24 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/scale.c

* Other way around of course

------------------------------------------------------------------------
r17839 | hartman | 2006-11-17 14:40:45 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/scale.c

* Disable swscale if we don't have it installed

------------------------------------------------------------------------
r17838 | hartman | 2006-11-17 14:18:44 -0800 (Fri, 17 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/ffmpeg/Modules.am
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   A /trunk/modules/codec/ffmpeg/scale.c (from /trunk/modules/video_filter/swscale/filter.c:17837)
   D /trunk/modules/video_filter/swscale

* Remove the old swscale files, and use the newer libswscale from ffmpeg.
  Untested and likely to break stuff

------------------------------------------------------------------------
r17836 | funman | 2006-11-17 11:48:24 -0800 (Fri, 17 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/misc/notify/notify.c

Forbid concurrent libnotify calls in multiple threads
(Fixes #848)

------------------------------------------------------------------------
r17835 | funman | 2006-11-17 09:25:38 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

typo

------------------------------------------------------------------------
r17834 | funman | 2006-11-17 08:57:04 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Should fix API compatibility with HAL 0.5.0

------------------------------------------------------------------------
r17832 | markfm | 2006-11-16 18:15:07 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Revert wxwidgets.hpp change -- problem appears to have been that gui/wxwidgets had been getting built against non-Unicode lib.

------------------------------------------------------------------------
r17831 | funman | 2006-11-16 16:32:48 -0800 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Removes broken D-Bus version check
HAVE_LIBHAL_1 means hal >= 0.5.0, which means dbus >= 0.3.0, which means HAVE_DBUS_1 and it has all required APIs

------------------------------------------------------------------------
r17829 | hartman | 2006-11-16 15:56:47 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* forwardport [17824] WAVPACK and TTA in matroska

------------------------------------------------------------------------
r17828 | hartman | 2006-11-16 15:54:55 -0800 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.h

* Forgot to commit the paranoia changes in the cddax module. see [17804]
  Patch by Patrick McLean <chutzpah at gentoo d0t org> 

------------------------------------------------------------------------
r17826 | hartman | 2006-11-16 15:45:52 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/live-osx.patch

* Forwardport [17820] and [17823]. Live contrib compile fixes.

------------------------------------------------------------------------
r17825 | littlejohn | 2006-11-16 15:03:14 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am
   A /trunk/bindings/java/src/Makefile.am
   M /trunk/configure.ac

Make java bindings compile with libtool
------------------------------------------------------------------------
r17819 | courmisch | 2006-11-16 11:13:49 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Fix local port number for multicast receival

------------------------------------------------------------------------
r17813 | jb | 2006-11-16 06:15:36 -0800 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /trunk/doc/fortunes.txt

pfff... Fortunes.


------------------------------------------------------------------------
r17811 | md | 2006-11-16 05:41:17 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c

Fix detection of FreeBSD version (the previous one doesn't seem to work)
------------------------------------------------------------------------
r17807 | jb | 2006-11-15 19:15:54 -0800 (Wed, 15 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/components/open.hpp
   A /trunk/modules/gui/qt4/dialogs/open.cpp
   A /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   D /trunk/modules/gui/qt4/ui/file_open.ui
   A /trunk/modules/gui/qt4/ui/open.ui
   A /trunk/modules/gui/qt4/ui/open_disk.ui
   A /trunk/modules/gui/qt4/ui/open_file.ui (from /trunk/modules/gui/qt4/ui/file_open.ui:17777)
   A /trunk/modules/gui/qt4/ui/open_net.ui

* Qt4: Display open dialog. Not yet functionnable.
Sesame...


------------------------------------------------------------------------
r17805 | jb | 2006-11-15 18:39:48 -0800 (Wed, 15 Nov 2006) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/live-osx.patch

Changes on live555 make MacOS-X patch fail in extras/contrib.
This should repair NB.


------------------------------------------------------------------------
r17804 | hartman | 2006-11-15 17:24:37 -0800 (Wed, 15 Nov 2006) | 5 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/extras/contrib/src/packages.mak

* Update version of libcdio. 0.78.2 is now the req. version
  Patch by Patrick McLean <chutzpah at gentoo d0t org>

  contrib update by me

------------------------------------------------------------------------
r17803 | hartman | 2006-11-15 16:58:47 -0800 (Wed, 15 Nov 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.am

* forwardport [17800]
  Before creating symlinks, make sure the actual binaries are installed. patch by Diego Petteno

------------------------------------------------------------------------
r17802 | hartman | 2006-11-15 16:56:40 -0800 (Wed, 15 Nov 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac

* VLC now requires libmatroska 0.7.7 because from then the libs are pic enabled.
  (no longer use libmatroska_pic ebml_pic)
  Patch by Diego Petteno, +additions by me.

------------------------------------------------------------------------
r17799 | hartman | 2006-11-15 15:00:44 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* LDLFAGS -> LDFLAGS

------------------------------------------------------------------------
r17798 | hartman | 2006-11-15 14:59:58 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* CFAGS -> CFLAGS

------------------------------------------------------------------------
r17796 | funman | 2006-11-15 14:12:32 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Fixes devices removal, and crash on exit

------------------------------------------------------------------------
r17794 | funman | 2006-11-15 13:44:18 -0800 (Wed, 15 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Manages hot ejection of devices
Uses hal callbacks instead of pure D-Bus monitoring
Uses HAL >= 0.5.0 only if D-Bus >= 0.9.2 is present
(refs #99)

------------------------------------------------------------------------
r17792 | hartman | 2006-11-15 12:09:15 -0800 (Wed, 15 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/extras/libc.c

forwardport [17791]:
* libc.c: Also define the lldiv function itself on FreeBSD < 5 refs #840

------------------------------------------------------------------------
r17789 | courmisch | 2006-11-15 11:36:26 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Fix typo

------------------------------------------------------------------------
r17788 | courmisch | 2006-11-15 11:35:59 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Use lldiv replacement on FreeBSD < 5.0 (fixes #840)

------------------------------------------------------------------------
r17786 | oaubert | 2006-11-15 06:14:55 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/python/vlc_object.c

python/bindings/vlc_object.c: complete vlc_object_find parameters

------------------------------------------------------------------------
r17785 | oaubert | 2006-11-15 06:13:44 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bindings/python/setup.py

python/bindings/setup.py: fix python binding building (ref. r17640)

------------------------------------------------------------------------
r17784 | funman | 2006-11-15 05:59:29 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/sl.po

Update slovenian translation

------------------------------------------------------------------------
r17782 | markfm | 2006-11-15 04:58:20 -0800 (Wed, 15 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Attempt to fix wxwidgets file open and Messages display.

------------------------------------------------------------------------
r17781 | md | 2006-11-15 03:28:39 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/NEWS

some news
------------------------------------------------------------------------
r17779 | littlejohn | 2006-11-15 00:45:28 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

Don't create Makefile.in in bindings/java/src
------------------------------------------------------------------------
r17778 | funman | 2006-11-14 15:29:28 -0800 (Tue, 14 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Adds real-time device adding (not removal yet)
Don't add data DVDs when possible
Only uses D-Bus code if version >= 0.9.2
(refs #99)

------------------------------------------------------------------------
r17777 | hartman | 2006-11-14 13:59:26 -0800 (Tue, 14 Nov 2006) | 7 lines
Changed paths:
   M /trunk/modules/access/vcd/cdrom.c

* Use utf8_open for the .bin vcdimage file
* Try .bin when opening a .cue, instead of trying the filename in the .cue (it's usually wrong).
  When the .bin filename fails, then look into the .cue file for a possible alternate name.
* Don't crash on non-existing cuefile's

I would like to backport some of this, but 0.8.6 doesn't have utf8_open, so I need to see what i'm gonna do with that.

------------------------------------------------------------------------
r17776 | littlejohn | 2006-11-14 13:47:05 -0800 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am
   D /trunk/bindings/java/src/Makefile.am

use libtool to compile java bindings. needs a cleanup (also thanks to megabug)
------------------------------------------------------------------------
r17775 | thresh | 2006-11-14 13:22:28 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

This should fix beos linking problem

------------------------------------------------------------------------
r17763 | thresh | 2006-11-14 09:54:10 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

qt4: i really like readable debug output

------------------------------------------------------------------------
r17762 | courmisch | 2006-11-14 08:53:51 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Clean up and avoid leak in sap decompression

------------------------------------------------------------------------
r17761 | funman | 2006-11-14 08:23:27 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Returns from Run() thread instead of sleeping eternally

------------------------------------------------------------------------
r17760 | courmisch | 2006-11-14 07:52:27 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Windows multicast bind kludge

------------------------------------------------------------------------
r17759 | xtophe | 2006-11-14 06:51:35 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/bootstrap

Fix the inclusion of extras/contrib/bin to the PATH

------------------------------------------------------------------------
r17758 | massiot | 2006-11-14 05:19:04 -0800 (Tue, 14 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

paf

------------------------------------------------------------------------
r17756 | jpsaman | 2006-11-14 01:53:03 -0800 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/filter.cpp

Add DivX as supported filter to DShow interface.
------------------------------------------------------------------------
r17754 | hartman | 2006-11-13 18:11:37 -0800 (Mon, 13 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* forwardport [17753]: sap sdp_t initialization
  - fix some const warnings
  - fix an "invalid" assert

------------------------------------------------------------------------
r17752 | hartman | 2006-11-13 13:58:38 -0800 (Mon, 13 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/subsdec.c

* Allow "empty" subtitle packets. These are used to "wipe" ephemer subtitles of the screen.
  Used by mp4 and 3gpp Timed Text 

------------------------------------------------------------------------
r17751 | hartman | 2006-11-13 13:51:55 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.c

* ps.c: Base SET_TIME on the current byteposition. This helps seeking in VBR files. Seeking forward will no longer seek backward instead.

------------------------------------------------------------------------
r17750 | funman | 2006-11-13 13:14:34 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/hal.c

Don't use D-Bus with hal < 0.5.0

------------------------------------------------------------------------
r17747 | asmax | 2006-11-13 10:24:08 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

* added missing -lm for plugin colorthres

------------------------------------------------------------------------
r17746 | hartman | 2006-11-13 09:25:26 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/image.c

* const char warning fix

------------------------------------------------------------------------
r17745 | hartman | 2006-11-13 08:56:03 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* Update wavpack libavcodec version for trunk as well. fixes #828

------------------------------------------------------------------------
r17743 | courmisch | 2006-11-13 07:43:19 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/libvlc_internal.h
   M /trunk/include/vlc_interface.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/interface/interface.c
   M /trunk/src/libvlc-common.c

Fix another bunch of warnings

------------------------------------------------------------------------
r17742 | courmisch | 2006-11-13 07:37:26 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/vlc.c

Fix warnings

------------------------------------------------------------------------
r17741 | courmisch | 2006-11-13 07:32:37 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Fix some warnings

------------------------------------------------------------------------
r17740 | courmisch | 2006-11-13 07:25:50 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/access/file.c

Really fix the stat warning (tested on Mingw32)

------------------------------------------------------------------------
r17739 | md | 2006-11-13 06:14:09 -0800 (Mon, 13 Nov 2006) | 5 lines
Changed paths:
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/win32_specific.c

Move unicode argv[] fetching into system_Init
(before getopt_long gets the chance to reorder them)

refs 830   (close requires backport)

------------------------------------------------------------------------
r17737 | thresh | 2006-11-13 03:20:42 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/nb.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/nn.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

updated russian translation, make update-po

------------------------------------------------------------------------
r17736 | thresh | 2006-11-13 02:38:16 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/errors.cpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/dialogs/prefs_dialog.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/streaminfo.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

properly display translated strings in setWindowTitle in qt4 interface

------------------------------------------------------------------------
r17734 | md | 2006-11-12 23:47:47 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Warn the user about missing MLDv2 support in his OS

------------------------------------------------------------------------
r17731 | courmisch | 2006-11-12 12:12:29 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Try to fix the obnoxious _stati64 warning

------------------------------------------------------------------------
r17729 | littlejohn | 2006-11-12 11:52:46 -0800 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /trunk/vlc-config.in.in

vlc-config external also includes libvlc-control
------------------------------------------------------------------------
r17728 | funman | 2006-11-12 11:47:32 -0800 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /trunk/configure.ac

Makes configure fail on missing GL headers
------------------------------------------------------------------------
r17727 | funman | 2006-11-12 11:46:15 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Do not update gettext contrib to current CVS on MacOSX

------------------------------------------------------------------------
r17726 | zorglub | 2006-11-12 11:24:12 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

p_libvlc needs b_attached = TRUE for vlc_list_find. Fixes embedded vout

------------------------------------------------------------------------
r17725 | courmisch | 2006-11-12 10:31:40 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Remove another harmful FromLocale

------------------------------------------------------------------------
r17724 | zorglub | 2006-11-12 10:28:37 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Fix Qt4 play button

------------------------------------------------------------------------
r17723 | zorglub | 2006-11-12 10:19:49 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/item.c

Preparse playlist items that don't have enough meta
If the item is not to be preparsed but has enough meta, mark it as preparsed

------------------------------------------------------------------------
r17722 | zorglub | 2006-11-12 09:48:21 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/modules.c

Might fix compile

------------------------------------------------------------------------
r17721 | dionoea | 2006-11-12 09:15:15 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Display --option=<value type> instead of --option <value type> on windows in usage help.

------------------------------------------------------------------------
r17720 | zorglub | 2006-11-12 09:06:24 -0800 (Sun, 12 Nov 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc_streaming.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/dialogs/sout.cpp
   A /trunk/modules/gui/qt4/dialogs/sout.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   A /trunk/modules/gui/qt4/ui/sout.ui
   M /trunk/src/network/io.c
   M /trunk/src/stream_output/profiles.c

* Qt4 stream output dialog
* Fixes to the streaming chain generator
* network: don't print an error message for EINTR

------------------------------------------------------------------------
r17719 | courmisch | 2006-11-12 08:58:09 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.hpp

Compile fix

------------------------------------------------------------------------
r17718 | courmisch | 2006-11-12 08:30:09 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/wxwidgets/interface.cpp

Apply online help patch from Vincent Dimar.

------------------------------------------------------------------------
r17717 | courmisch | 2006-11-12 08:29:44 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

Forgot the symbols again

------------------------------------------------------------------------
r17716 | courmisch | 2006-11-12 08:19:58 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/charset.h

Unexport vlc_current_charset()
which is superseded by the Unicode wrappers and GetFallbackEncoding

------------------------------------------------------------------------
r17715 | courmisch | 2006-11-12 08:18:31 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Add VLC_INTERNAL, like VLC_EXPORT except it does not export

------------------------------------------------------------------------
r17714 | zorglub | 2006-11-12 08:16:24 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c

Fix playlist unable to terminate (Closes:#829)

------------------------------------------------------------------------
r17713 | courmisch | 2006-11-12 08:05:11 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/skins2/vars/playtree.hpp

Remove unused iconv handle

------------------------------------------------------------------------
r17712 | courmisch | 2006-11-12 07:46:52 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Even WxWidgets is entitled to const blessing

------------------------------------------------------------------------
r17711 | courmisch | 2006-11-12 07:36:27 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c

Use Latin-1 rather than local charset for ASX files

------------------------------------------------------------------------
r17710 | courmisch | 2006-11-12 07:35:45 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

Suppress unused variable

------------------------------------------------------------------------
r17709 | courmisch | 2006-11-12 07:33:59 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_demux.h
   M /trunk/modules/demux/playlist/dvb.c

Fix a few warnings

------------------------------------------------------------------------
r17708 | littlejohn | 2006-11-12 07:32:24 -0800 (Sun, 12 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am

dirty fix to correctly link libvlc-control during make
------------------------------------------------------------------------
r17707 | courmisch | 2006-11-12 07:17:29 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Remove debug message

------------------------------------------------------------------------
r17706 | courmisch | 2006-11-12 06:26:59 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/demuxdump.c

Fix warnings

------------------------------------------------------------------------
r17705 | courmisch | 2006-11-12 06:12:55 -0800 (Sun, 12 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

I did it.
<subliminal message>
http://www.googlefight.com/index.php?lang=en_GB&word1=wxwidgets&word2=qt
</subliminal>

------------------------------------------------------------------------
r17704 | courmisch | 2006-11-12 05:45:03 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Try to fix contrib: don't build gettext java bindings

------------------------------------------------------------------------
r17703 | courmisch | 2006-11-12 05:38:50 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap

Remove bashism

------------------------------------------------------------------------
r17702 | courmisch | 2006-11-12 05:28:14 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Another attempt to tame WxString

------------------------------------------------------------------------
r17701 | courmisch | 2006-11-12 04:52:30 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

Fix make dist

------------------------------------------------------------------------
r17700 | courmisch | 2006-11-12 04:49:13 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Safer macros locale conversion macros for WxWidgets.

------------------------------------------------------------------------
r17699 | courmisch | 2006-11-12 04:10:55 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/src/control/playlist.c

Do not use non-existing function playlist_PlaylistAddExt.
Hopefully fix linking on Windows and Mac OS X.

------------------------------------------------------------------------
r17698 | courmisch | 2006-11-12 04:02:55 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/access/file.c
   M /trunk/src/misc/unicode.c

Don't use void * for utf8_(l)?stat() as it hinders bug detection

------------------------------------------------------------------------
r17697 | courmisch | 2006-11-12 03:54:28 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/input_internal.h
   M /trunk/src/input/subtitles.c

Some const

------------------------------------------------------------------------
r17696 | courmisch | 2006-11-12 03:50:06 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Use stat instead of fopen to check for file existence

------------------------------------------------------------------------
r17695 | courmisch | 2006-11-12 03:45:10 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

Another Win32 FromLocale -> FromWide

------------------------------------------------------------------------
r17694 | courmisch | 2006-11-12 03:43:52 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

Don't use non existent file in Qt4 code

------------------------------------------------------------------------
r17693 | courmisch | 2006-11-12 03:35:38 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

Fix a few warnings

------------------------------------------------------------------------
r17692 | courmisch | 2006-11-12 03:30:00 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/configuration_chain.c

More warning fixes

------------------------------------------------------------------------
r17691 | courmisch | 2006-11-12 03:22:29 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Warning fix

------------------------------------------------------------------------
r17690 | courmisch | 2006-11-12 03:17:10 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/subsdec.c

Fix compiler warnings

------------------------------------------------------------------------
r17689 | courmisch | 2006-11-12 03:15:29 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/speex.c

Do not use pointer arithmethic on void pointers.

------------------------------------------------------------------------
r17688 | courmisch | 2006-11-12 03:02:56 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

Try to fix Qt4 build

------------------------------------------------------------------------
r17687 | courmisch | 2006-11-12 02:32:48 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Don't use -shared with libtool

------------------------------------------------------------------------
r17686 | courmisch | 2006-11-12 02:25:28 -0800 (Sun, 12 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Fix compilation of WxWidgets.
But given how badly broken the plugin is (interaction stuff),
you'd better not use it anyway.

------------------------------------------------------------------------
r17685 | zorglub | 2006-11-12 02:22:39 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/infopanels.cpp
   M /trunk/modules/gui/qt4/components/infopanels.hpp
   M /trunk/modules/gui/qt4/ui/input_stats.ui

Qt4: add meta info panel and fix layout bug in stats

------------------------------------------------------------------------
r17684 | littlejohn | 2006-11-11 16:24:31 -0800 (Sat, 11 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am

also link libvlc-control in java bindings
------------------------------------------------------------------------
r17683 | funman | 2006-11-11 16:23:12 -0800 (Sat, 11 Nov 2006) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/misc/audioscrobbler.c

Various bugfixes
Replaces gotos with #defines
Put duplicate code in #defines
Disables plugin by default

------------------------------------------------------------------------
r17682 | zorglub | 2006-11-11 16:02:36 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/playlist/item.c

Fix

------------------------------------------------------------------------
r17681 | dionoea | 2006-11-11 15:44:15 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Only accept mouse coordinates inside video window

------------------------------------------------------------------------
r17680 | zorglub | 2006-11-11 15:37:25 -0800 (Sat, 11 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/mms/mmsh.c
   M /trunk/modules/codec/cmml/intf.c
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/rc.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/macosx/applescript.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/wizard.m
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/skins2/commands/cmd_add_item.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/meta_engine/taglib.cpp
   M /trunk/src/libvlc.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c

* Remove some unneeded complexity in playlist and directory
* Remove some unneeded wrappers and locking

------------------------------------------------------------------------
r17679 | dionoea | 2006-11-11 15:37:11 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Add "shuffle" button to puzzle in order to prevent shuffling when double clicking to go fullscreen once the puzzle is solved.

------------------------------------------------------------------------
r17678 | Trax | 2006-11-11 14:48:42 -0800 (Sat, 11 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/extrapanel.cpp

* modules/gui/wxwidgets/extrapanel.cpp: Add the puzzle video filter to the Extended GUI.
------------------------------------------------------------------------
r17676 | damienf | 2006-11-11 13:44:34 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/directx/direct3d.c

- I422 to YUY2 now works (due to previous commit)

------------------------------------------------------------------------
r17675 | damienf | 2006-11-11 13:43:34 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i422_yuy2.c

- make sure chroma converters respect picture line pitch for packed chroma 

------------------------------------------------------------------------
r17674 | damienf | 2006-11-11 11:14:53 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

- access/file.c: fixed stat on win32, make sure the right stat structure is used, 'struct _stati64' on win32 and not 'struct stat'

------------------------------------------------------------------------
r17673 | damienf | 2006-11-11 10:22:33 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/vout_intf.c

- compile fix

------------------------------------------------------------------------
r17672 | asmax | 2006-11-11 09:58:22 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/skins/skins2-howto.xml

* doc about SliderBackground (forgot to commit that a long time ago...)

------------------------------------------------------------------------
r17671 | courmisch | 2006-11-11 09:48:01 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Restore media control API for the obsolete build system

------------------------------------------------------------------------
r17670 | courmisch | 2006-11-11 09:45:01 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Win32 ANSI -> Unicode + UTF-8 wrappers

------------------------------------------------------------------------
r17669 | courmisch | 2006-11-11 09:44:37 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/dump.c

Add missing UTF-8 wrapper

------------------------------------------------------------------------
r17668 | md | 2006-11-11 09:36:36 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Sync IPv4 and IPv6 multicast debugs

------------------------------------------------------------------------
r17666 | courmisch | 2006-11-11 09:28:34 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/http.c
   M /trunk/modules/control/http/util.c

Use Unicode wrappers to open HTTP interface files

------------------------------------------------------------------------
r17665 | courmisch | 2006-11-11 09:28:10 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/macros.h

Fix a bunch of warnings

------------------------------------------------------------------------
r17664 | courmisch | 2006-11-11 09:16:50 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/mozilla/Makefile.am

Try to fix Mozilla plugin

------------------------------------------------------------------------
r17663 | courmisch | 2006-11-11 09:11:59 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/timeshift.c

Fix [17660]

------------------------------------------------------------------------
r17662 | courmisch | 2006-11-11 09:10:59 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h

C++ inclusion fix

------------------------------------------------------------------------
r17661 | courmisch | 2006-11-11 09:07:56 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

DRMS: use Unicode Win32 API

------------------------------------------------------------------------
r17660 | courmisch | 2006-11-11 08:53:21 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/timeshift.c

Leverage FromWide

------------------------------------------------------------------------
r17658 | courmisch | 2006-11-11 08:49:41 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/timeshift.c

ToLocale -> WideCharToMultiByte (refs #817)

------------------------------------------------------------------------
r17657 | md | 2006-11-11 08:43:14 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix endianes bug in automatic SDP source-filter 

------------------------------------------------------------------------
r17655 | courmisch | 2006-11-11 08:21:35 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/fake.c

Remove another harmful extra ToLocale() call

------------------------------------------------------------------------
r17654 | courmisch | 2006-11-11 08:19:17 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/old.c

Use Unicode wrapper

------------------------------------------------------------------------
r17653 | courmisch | 2006-11-11 08:14:37 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Fix socket protection level.

------------------------------------------------------------------------
r17652 | courmisch | 2006-11-11 08:13:25 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/rss.c

Remove extraneous ToLocale().

------------------------------------------------------------------------
r17651 | md | 2006-11-11 08:02:34 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

forwardport [17650]

------------------------------------------------------------------------
r17649 | courmisch | 2006-11-11 07:48:05 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix SAP group IPv6 addresses

------------------------------------------------------------------------
r17647 | md | 2006-11-11 07:40:48 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

forwardport [17646] (SDP source-filter fix)

------------------------------------------------------------------------
r17645 | funman | 2006-11-11 07:20:09 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/sl.po

Update slovenian translation

------------------------------------------------------------------------
r17643 | sigmunau | 2006-11-11 05:33:43 -0800 (Sat, 11 Nov 2006) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/colorthres.c

added a color threshold filter that can make effects similar to "the
yellow guy" in sin city or the red dressed girl in the beginning of
schindlers list

------------------------------------------------------------------------
r17642 | courmisch | 2006-11-11 04:52:49 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_common.hpp

Don't build Win32 code on Linux !

------------------------------------------------------------------------
r17641 | courmisch | 2006-11-11 04:48:49 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h

Hmm oups

------------------------------------------------------------------------
r17640 | courmisch | 2006-11-11 04:30:16 -0800 (Sat, 11 Nov 2006) | 6 lines
Changed paths:
   M /trunk/src/Makefile.am

Split the media control API from libvlc.so to libvlc-control.so
The libvlc.so ABI is still way too unstable IMHO.

This commit will probably break havoc in bindings in the short term,
but hey, this is the unstable branch

------------------------------------------------------------------------
r17639 | courmisch | 2006-11-11 04:15:53 -0800 (Sat, 11 Nov 2006) | 3 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/unicode.c

Inline FromUTF16 and use Win32 API
(suppress one more ugly piece of code)

------------------------------------------------------------------------
r17638 | courmisch | 2006-11-11 03:48:20 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Fix previous commit

------------------------------------------------------------------------
r17637 | courmisch | 2006-11-11 03:44:59 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Mark subtitles_Filter as static

------------------------------------------------------------------------
r17636 | courmisch | 2006-11-11 03:37:21 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/unicode.c

Suppress unused UTF-32 conversion functions

------------------------------------------------------------------------
r17635 | courmisch | 2006-11-11 03:27:58 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

(From|To)Locale code factorization

------------------------------------------------------------------------
r17634 | md | 2006-11-11 02:04:20 -0800 (Sat, 11 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

Cosmetics: Warn the user about lack of IGMPv3 support in his OS

------------------------------------------------------------------------
r17632 | dionoea | 2006-11-10 16:48:03 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Really prevent illegal puzzles and prevent some illegal moves.

------------------------------------------------------------------------
r17631 | dionoea | 2006-11-10 16:20:30 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Put video in black slot when puzzle is solved

------------------------------------------------------------------------
r17630 | dionoea | 2006-11-10 16:18:01 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

I'm not sure that this is ok but it definitively prevents impossible to solve puzzles from being generated here.

------------------------------------------------------------------------
r17629 | dionoea | 2006-11-10 15:58:17 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Woops.

------------------------------------------------------------------------
r17628 | dionoea | 2006-11-10 15:51:33 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/puzzle.c

Add --puzzle-black-slot option to change puzzle type

------------------------------------------------------------------------
r17626 | courmisch | 2006-11-10 14:15:27 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

Fix warnings

------------------------------------------------------------------------
r17625 | courmisch | 2006-11-10 14:14:24 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

Missing #include

------------------------------------------------------------------------
r17624 | courmisch | 2006-11-10 14:11:55 -0800 (Fri, 10 Nov 2006) | 4 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/charset.c
   M /trunk/src/misc/unicode.c

Hide vlc_fix_readdir_charset. It is now integrated in the UTF-8 wrappers.
Though there is not an useless lock and iconv handler
in the Darwin specific stuff.

------------------------------------------------------------------------
r17623 | courmisch | 2006-11-10 14:09:51 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Fix double free in previous commit

------------------------------------------------------------------------
r17622 | courmisch | 2006-11-10 14:07:52 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

Remove last redumdant vlc_fix_readdir_charset

------------------------------------------------------------------------
r17621 | courmisch | 2006-11-10 14:00:36 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/mvar.c
   M /trunk/modules/control/http/util.c

Don't use Apple readdir fix twice

------------------------------------------------------------------------
r17620 | courmisch | 2006-11-10 13:59:21 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c

Typo

------------------------------------------------------------------------
r17619 | courmisch | 2006-11-10 13:53:26 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/vlm.c

Fix vlm pause

------------------------------------------------------------------------
r17618 | courmisch | 2006-11-10 13:51:35 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/unicode.c

Fix error return value of utf8_open

------------------------------------------------------------------------
r17617 | courmisch | 2006-11-10 13:50:39 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/util.c
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/misc/gnutls.c
   M /trunk/src/misc/unicode.c

Use free() instead of LocaleFree() for utf8_readdir() result

------------------------------------------------------------------------
r17616 | courmisch | 2006-11-10 13:42:46 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c

Fix leak

------------------------------------------------------------------------
r17615 | courmisch | 2006-11-10 13:35:08 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c

Don't rely on an object in fix_readdir_charset

------------------------------------------------------------------------
r17614 | courmisch | 2006-11-10 13:07:57 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Add more debug

------------------------------------------------------------------------
r17613 | dionoea | 2006-11-10 12:59:15 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/Modules.am
   A /trunk/modules/video_filter/puzzle.c (from /trunk/modules/video_filter/magnify.c:17598)

Puzzle vout filter. (vlc --vout-filter puzzle <your favorite disney cartoon>)

------------------------------------------------------------------------
r17612 | courmisch | 2006-11-10 12:56:10 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Switch the directory to the UTF-8 wrappers

------------------------------------------------------------------------
r17611 | courmisch | 2006-11-10 12:50:34 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Cosmetic changes

------------------------------------------------------------------------
r17610 | courmisch | 2006-11-10 12:45:26 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/playlist/tree.c

Ever const 

------------------------------------------------------------------------
r17608 | courmisch | 2006-11-10 12:16:47 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/codecs.h

Forgot this file while forwarding ffmpeg fixes

------------------------------------------------------------------------
r17607 | courmisch | 2006-11-10 12:10:23 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Code factorization and some warning fixes

------------------------------------------------------------------------
r17604 | courmisch | 2006-11-10 10:06:45 -0800 (Fri, 10 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

Partial forward port of thedj's [17597]:
 * Fix avformat demux IOSeek. Should improve playback of some flv's 
 * Improve avformat demux SET_POSITION. 

------------------------------------------------------------------------
r17602 | courmisch | 2006-11-10 09:40:03 -0800 (Fri, 10 Nov 2006) | 6 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/stream_output/sap.c

Suppress sap-source-filter and compute The Right Value(tm) automatically
-- Cette ligne, et les suivantes ci-dessous, seront ignor?\195?\169es--

M    src/libvlc.h
M    src/stream_output/sap.c

------------------------------------------------------------------------
r17601 | courmisch | 2006-11-10 08:30:38 -0800 (Fri, 10 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/stream_output/sap.c

Support for disabling SDP source-filter in SAP announces

------------------------------------------------------------------------
r17599 | dionoea | 2006-11-09 17:03:23 -0800 (Thu, 09 Nov 2006) | 7 lines
Changed paths:
   M /trunk/src/misc/vlm.c

Remove msecseek command. Now seek works differently depending on the argument:
control media seek 10   -> seek to position 10% (previous behavior)
control media seek +10  -> seek 10% forward
control media seed -10  -> seek 10% backwards
control media seek 10s  -> seek to position 10s (works with +- too)
control media seek 10ms -> seel to position 10ms (works with +- too)

------------------------------------------------------------------------
r17598 | dionoea | 2006-11-09 16:28:15 -0800 (Thu, 09 Nov 2006) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/src/misc/vlm.c

Add msecseek command in VLM to seek to a position given in milliseconds. Patch by Igor Helman ( http://forum.videolan.org/viewtopic.php?t=27989 )
+ misc variables handling changes by me

------------------------------------------------------------------------
r17596 | dionoea | 2006-11-09 16:08:16 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/vlm.c

Return syntax error message when issuing invalid instance specific control command in VLM. ("control test thisisaninstanceid play" is valid, "control test thisisaninstanceid asdqsd" isn't).

------------------------------------------------------------------------
r17594 | littlejohn | 2006-11-09 13:40:46 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/src/core-jni.cc

don't count more than argc
------------------------------------------------------------------------
r17593 | zorglub | 2006-11-09 13:08:11 -0800 (Thu, 09 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_audio.ui
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui
   D /trunk/modules/gui/qt4/ui/sprefs_trivial.ui
   M /trunk/modules/gui/qt4/ui/sprefs_video.ui

Don't show visualizations selector (unused).
A bit of cleanup in simple prefs

------------------------------------------------------------------------
r17592 | courmisch | 2006-11-09 12:17:17 -0800 (Thu, 09 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access_filter/dump.c

Handle seeking with best effort in dump filter
instead of aborting

------------------------------------------------------------------------
r17591 | Trax | 2006-11-09 12:07:25 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/input_manager.cpp
   M /trunk/modules/gui/wxwidgets/input_manager.hpp

* wxwidgets: revert go-where-you-click slider changes from [15391] and [15393] as it wasn't optimal (more accurate at the middle and not so much towards the beginning or end) and this also prevented proper slider select and drag usage.
------------------------------------------------------------------------
r17590 | littlejohn | 2006-11-09 11:22:26 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/org/videolan/jvlc/JVLC.java
   M /trunk/bindings/java/src/core-jni.cc

better args handling
------------------------------------------------------------------------
r17589 | littlejohn | 2006-11-09 11:21:38 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/access_filter/dump.c

include errno.h in dump.c
------------------------------------------------------------------------
r17588 | courmisch | 2006-11-09 10:27:43 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/network/udp.c

Fix IPv4 multicast subscription

------------------------------------------------------------------------
r17587 | courmisch | 2006-11-09 10:08:36 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/http/rpn.c

You can't find the root object, so don't try to mess up with it

------------------------------------------------------------------------
r17586 | courmisch | 2006-11-09 10:06:21 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/dump.c

Add a bug. Fix compilation on Win32.

------------------------------------------------------------------------
r17585 | courmisch | 2006-11-09 10:01:51 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c
   M /trunk/src/stream_output/sap.c

Fix TTL in c= line

------------------------------------------------------------------------
r17584 | courmisch | 2006-11-09 09:55:58 -0800 (Thu, 09 Nov 2006) | 4 lines
Changed paths:
   M /trunk/include/vlc_objects.h
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/objects.c
   M /trunk/src/misc/threads.c

- Do not attach libvlc to the global data
  to avoid crashes in the messaging system (global data has no libvlc pointer)
- Rename ROOT to GLOBAL to avoid confusion (the root is LIBVLC, not GLOBAL)

------------------------------------------------------------------------
r17583 | courmisch | 2006-11-09 09:24:10 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/messages.c

Cosmetic fix

------------------------------------------------------------------------
r17582 | courmisch | 2006-11-09 09:10:38 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/screen/screen.c

Missing(?) header

------------------------------------------------------------------------
r17581 | courmisch | 2006-11-09 08:44:34 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Avoid dummy error messages

------------------------------------------------------------------------
r17580 | courmisch | 2006-11-09 08:41:04 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/announce.c

Fully initialize p_session

------------------------------------------------------------------------
r17578 | courmisch | 2006-11-09 08:25:58 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix address in source-filter - fixes #804

------------------------------------------------------------------------
r17577 | courmisch | 2006-11-09 08:02:15 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

How to remove ~200 lines of code

------------------------------------------------------------------------
r17576 | massiot | 2006-11-09 07:55:36 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/autodel.c

 * modules/stream_out/autodel.c: Removed unused call to sout_CfgParse().

------------------------------------------------------------------------
r17575 | courmisch | 2006-11-09 07:53:34 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Suppress copy-cat code (more to come)

------------------------------------------------------------------------
r17574 | courmisch | 2006-11-09 07:48:44 -0800 (Thu, 09 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/control/rc.c

- Remove the rc-force option, and do the same automatically
- Remove some cruft

------------------------------------------------------------------------
r17573 | courmisch | 2006-11-09 07:43:02 -0800 (Thu, 09 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access_filter/dump.c

Of course localetime_r has to have another name on Windows.
(And go fix your libc if this does not work for you.)

------------------------------------------------------------------------
r17572 | massiot | 2006-11-09 07:13:13 -0800 (Thu, 09 Nov 2006) | 6 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/stream_out/Modules.am
   A /trunk/modules/stream_out/autodel.c

 * modules/stream_out/autodel.c: New autodel module to work-around a memory
   leak in the TS mux which is triggered when the input PCR packets
   disappear from the stream without disappearing from the PMT (happens
   on the satellite when the video suddenly gets scrambled). Insert it in
   the sout pipeline : --sout="#autodel:std{...}".

------------------------------------------------------------------------
r17571 | fkuehne | 2006-11-09 06:17:25 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* don't mix old and new pl API
------------------------------------------------------------------------
r17570 | fkuehne | 2006-11-09 06:17:03 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* added an option to disable auto-playback of newly added items
------------------------------------------------------------------------
r17569 | fkuehne | 2006-11-09 05:32:45 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* forward-port [17568]
------------------------------------------------------------------------
r17567 | fkuehne | 2006-11-09 03:39:27 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

retry on failure to connect to rc-unix socket. Patch by Greg Farrell (greg  a  lincor.com), submitted by Dermot McGahon (dermot  a  dspsrv.com)
------------------------------------------------------------------------
r17566 | ipkiss | 2006-11-08 23:44:26 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp

 * skins2/parser/skin_parser.cpp: Fixed a crash, and removed checks for unused attributes

------------------------------------------------------------------------
r17563 | littlejohn | 2006-11-08 13:37:20 -0800 (Wed, 08 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/README

readme update
------------------------------------------------------------------------
r17562 | courmisch | 2006-11-08 13:13:09 -0800 (Wed, 08 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access_filter/Modules.am
   A /trunk/modules/access_filter/dump.c

Add dump access filter to save original media to home
(could be improved, but basically works)

------------------------------------------------------------------------
r17561 | courmisch | 2006-11-08 13:12:22 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_keys.h
   M /trunk/src/libvlc.h

Add Dump hotkey

------------------------------------------------------------------------
r17560 | hartman | 2006-11-08 12:34:12 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/rtsp/access.c

* forwardport [17538] : Real RTSP selection fix. refs #821

------------------------------------------------------------------------
r17559 | littlejohn | 2006-11-08 12:33:07 -0800 (Wed, 08 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/Makefile.am
   M /trunk/bindings/java/src/playlist-jni.cc

--disable-libtool not needed anymore to build java bindings
------------------------------------------------------------------------
r17552 | xtophe | 2006-11-08 11:59:07 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.c

Use add_bool where it is adapted

------------------------------------------------------------------------
r17551 | courmisch | 2006-11-08 11:22:15 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/configuration.h

Grammar

------------------------------------------------------------------------
r17549 | courmisch | 2006-11-08 08:31:05 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/variables.h

Fix var_SetString

------------------------------------------------------------------------
r17548 | courmisch | 2006-11-08 08:26:26 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

Some more const and strdup avoidance

------------------------------------------------------------------------
r17547 | courmisch | 2006-11-08 08:23:33 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/input/access.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h

Const as usual

------------------------------------------------------------------------
r17545 | courmisch | 2006-11-08 07:53:28 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h
   M /trunk/src/input/item.c
   M /trunk/src/playlist/item.c

Some more const

------------------------------------------------------------------------
r17544 | massiot | 2006-11-08 06:26:06 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * modules/demux/ts.c: Fixed --ts-out used in conjunction with the dvb access.

------------------------------------------------------------------------
r17543 | massiot | 2006-11-08 06:24:54 -0800 (Wed, 08 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c
   M /trunk/modules/packetizer/mpegvideo.c

 * modules/codec/libmpeg2.c, modules/packetizer/mpegvideo.c: Fixed wrong PTS
   and DTS for field pictures.

------------------------------------------------------------------------
r17542 | massiot | 2006-11-08 06:21:01 -0800 (Wed, 08 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c

 * modules/codec/ffmpeg/encoder.c: MPEG compliance fixes for large pictures
   and low delay streams.

------------------------------------------------------------------------
r17541 | md | 2006-11-08 05:37:57 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Support non-ANSI CP characters from command line / click on media file

------------------------------------------------------------------------
r17540 | md | 2006-11-08 05:29:36 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/win32/win32_dragdrop.cpp

Fix skins2 Drag&Drop to accept files with non-ANSI CP characters

------------------------------------------------------------------------
r17539 | md | 2006-11-08 05:21:08 -0800 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/win32_specific.c
   M /trunk/vlc.win32.nsi.in

Fix one instance mode for Win32 in trunk

------------------------------------------------------------------------
r17537 | fkuehne | 2006-11-07 12:38:53 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.am

* forward-port [17536]
------------------------------------------------------------------------
r17534 | massiot | 2006-11-07 11:57:50 -0800 (Tue, 07 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * modules/mux/mpeg/ts.c: Fixed --sout-ts-crypt-audio and 
   --sout-ts-crypt-video options.

------------------------------------------------------------------------
r17533 | hartman | 2006-11-07 07:45:27 -0800 (Tue, 07 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/normvol.c

* memleak if normvol filter cannot be used.

------------------------------------------------------------------------
r17530 | fkuehne | 2006-11-07 02:59:45 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* restore nib targetted for 0.9.0
------------------------------------------------------------------------
r17529 | fkuehne | 2006-11-07 02:52:08 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* commit the modified nib in the correct rep..
------------------------------------------------------------------------
r17527 | dionoea | 2006-11-06 13:44:08 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/image.c

Use str_format_time and str_format_meta here too. Make sure that we only call these functions when needed.

------------------------------------------------------------------------
r17526 | dionoea | 2006-11-06 13:26:46 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access_output/file.c

Use str_format_time and str_format_meta in file output. (these are the %char and $char variables defined in marq help)

------------------------------------------------------------------------
r17525 | dionoea | 2006-11-06 13:16:58 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Allow using format meta stuff in --snapshot-path when defining a filename (see marq help for available variables).

------------------------------------------------------------------------
r17524 | courmisch | 2006-11-06 13:05:11 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

Cosmetic fix

------------------------------------------------------------------------
r17523 | dionoea | 2006-11-06 13:03:33 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_strings.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/video_filter/marq.c
   M /trunk/src/misc/strings.c

Move string formating functions used in marq to the core.

------------------------------------------------------------------------
r17522 | dionoea | 2006-11-06 12:05:19 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/probe/hal.c

Tab/trailing spaces police

------------------------------------------------------------------------
r17521 | dionoea | 2006-11-06 12:00:40 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_block.h

s/Warm/Warn/

------------------------------------------------------------------------
r17520 | xtophe | 2006-11-06 11:25:12 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Revert [17482]. pkgconfig buildsytem is broken on native win32

------------------------------------------------------------------------
r17519 | courmisch | 2006-11-06 09:59:01 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h

Fix export

------------------------------------------------------------------------
r17518 | courmisch | 2006-11-06 09:58:08 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_demux.h
   M /trunk/include/vlc_stream.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/input/demux.c

Add a few harmless const

------------------------------------------------------------------------
r17517 | courmisch | 2006-11-06 09:30:21 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/network/io.c

Fix previous commit

------------------------------------------------------------------------
r17516 | courmisch | 2006-11-06 09:29:07 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/network/io.c
   M /trunk/src/network/udp.c

Cleanup

------------------------------------------------------------------------
r17515 | courmisch | 2006-11-06 09:28:55 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix warning

------------------------------------------------------------------------
r17514 | courmisch | 2006-11-06 09:07:55 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Cosmetic fix

------------------------------------------------------------------------
r17513 | dionoea | 2006-11-06 09:03:01 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Simplify

------------------------------------------------------------------------
r17512 | courmisch | 2006-11-06 09:01:44 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix boundary checks on file seek

------------------------------------------------------------------------
r17511 | courmisch | 2006-11-06 08:33:30 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/dv.c

DV can't (fast)seek; it does not even have a Seek callback.
This was seemingly erronously added when Pause support was added.

------------------------------------------------------------------------
r17510 | md | 2006-11-06 04:49:21 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/vlm/vlm_panel.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/wizard.hpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.hpp

Forwardport Unicode wxWidgets fixes - [17434], [17436], [17452]

------------------------------------------------------------------------
r17506 | fkuehne | 2006-11-05 15:46:37 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* restored the error panel and removed all 0.9.0 stuff
------------------------------------------------------------------------
r17505 | fkuehne | 2006-11-05 15:32:49 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* commit the non-fixed nib to get a diff (work-around for a svn stupidity)
------------------------------------------------------------------------
r17503 | fkuehne | 2006-11-05 15:23:35 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/THANKS

* update after recent back-ports
------------------------------------------------------------------------
r17502 | fkuehne | 2006-11-05 15:09:23 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/fspanel.m

* forward-port [17501] and [17500]
------------------------------------------------------------------------
r17498 | fkuehne | 2006-11-05 14:52:10 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* forward-port [17497] with the addition of an 'embedded' check, because this work-around triggers the fspanel to keep hidden all the time when using detached vouts. Ideas on this issue are welcomed ;)
------------------------------------------------------------------------
r17494 | courmisch | 2006-11-05 12:05:48 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Uncomment if multicast starts failing on Windows

------------------------------------------------------------------------
r17493 | xtophe | 2006-11-05 12:02:49 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/pkgcfg.patch

patch silly configure.

------------------------------------------------------------------------
r17492 | courmisch | 2006-11-05 12:02:08 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/control/netsync.c
   M /trunk/modules/stream_out/switcher.c
   M /trunk/src/stream_output/sap.c

Export and use ListenUDP

------------------------------------------------------------------------
r17490 | courmisch | 2006-11-05 11:30:16 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Use ListenUDP

------------------------------------------------------------------------
r17489 | courmisch | 2006-11-05 11:20:52 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/network/io.c
   M /trunk/src/network/udp.c

Add net_ListenUDP

------------------------------------------------------------------------
r17486 | xtophe | 2006-11-05 10:36:12 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

the pkg.m4 in pkgconfig 0.21 is buggy. stay with 0.20 while we fix it

------------------------------------------------------------------------
r17485 | xtophe | 2006-11-05 09:59:37 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

Use an uptodate pkg-config version

------------------------------------------------------------------------
r17482 | xtophe | 2006-11-05 09:34:46 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Add pkg-config to win32 contribs as Msys suc^W doesn't have it

------------------------------------------------------------------------
r17480 | courmisch | 2006-11-05 08:59:47 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h

Add net_SockAddrIsMulticast

------------------------------------------------------------------------
r17479 | courmisch | 2006-11-05 08:41:00 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/udp.c

Fix and revive the net_OpenUDP warning

------------------------------------------------------------------------
r17478 | courmisch | 2006-11-05 08:26:53 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Cleanup

------------------------------------------------------------------------
r17477 | courmisch | 2006-11-05 08:17:35 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Suppress bogus extraneous boundary check

------------------------------------------------------------------------
r17476 | courmisch | 2006-11-05 08:14:52 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

Cosmetic fix

------------------------------------------------------------------------
r17475 | courmisch | 2006-11-05 08:03:04 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Missing #include

------------------------------------------------------------------------
r17474 | xtophe | 2006-11-05 07:51:46 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac

Some safety fix pointed by pjrm on irc

------------------------------------------------------------------------
r17473 | courmisch | 2006-11-05 07:50:31 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/network/io.c
   M /trunk/src/network/tcp.c

Factorize socket listen code

------------------------------------------------------------------------
r17471 | courmisch | 2006-11-05 07:46:26 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix core deps again

------------------------------------------------------------------------
r17470 | dionoea | 2006-11-05 06:57:56 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/el.po
   M /trunk/po/my.po
   M /trunk/po/ne.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_PT.po
   M /trunk/po/tet.po
   M /trunk/po/tl.po

Please run update-po (or whatever it's named) before commiting.

------------------------------------------------------------------------
r17469 | courmisch | 2006-11-05 04:16:44 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix make core not to remove libvlc if not needed

------------------------------------------------------------------------
r17468 | courmisch | 2006-11-05 04:16:27 -0800 (Sun, 05 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Look for DLLTOOL
(surprise surprise, one has to define $(DLLTOOL) if you want to use it...)

------------------------------------------------------------------------
r17467 | courmisch | 2006-11-05 04:02:15 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Fix warning

------------------------------------------------------------------------
r17466 | courmisch | 2006-11-05 03:46:43 -0800 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/network.h

Fix warning

------------------------------------------------------------------------
r17464 | funman | 2006-11-04 14:34:40 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   A /trunk/po/af.po
   A /trunk/po/co.po
   A /trunk/po/eu.po
   A /trunk/po/fur.po
   A /trunk/po/lt.po
   A /trunk/po/lv.po
   A /trunk/po/nb.po
   A /trunk/po/nn.po
   A /trunk/po/pa.po
   A /trunk/po/sq.po
   A /trunk/po/th.po

Forward port translations from [17318] and [17414]

------------------------------------------------------------------------
r17462 | courmisch | 2006-11-04 09:56:43 -0800 (Sat, 04 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

Fix error passing from IPv4 plugin
in case of resolution failure.
This should fix the "lame stack" + "Non-socket handle" bug.

------------------------------------------------------------------------
r17461 | courmisch | 2006-11-04 09:09:54 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Fix remotely triggerable memory leak

------------------------------------------------------------------------
r17460 | courmisch | 2006-11-04 08:29:16 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Fix const warning

------------------------------------------------------------------------
r17459 | courmisch | 2006-11-04 08:25:26 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Ignore missing TTL in c= line.
It was about time I fix VLC to accept SAP announces on my campus.

------------------------------------------------------------------------
r17458 | courmisch | 2006-11-04 08:05:27 -0800 (Sat, 04 Nov 2006) | 6 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Fix various problems with the SDP parser:
- the reserved bit must be ignored
- off-by-one in decompression
- decompression did not *read* realloc() result
etc

------------------------------------------------------------------------
r17457 | courmisch | 2006-11-04 07:29:25 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c
   M /trunk/modules/access_output/file.c

Use utf8_open

------------------------------------------------------------------------
r17456 | courmisch | 2006-11-04 07:18:57 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/unicode.c

Add utf8_open wrapper

------------------------------------------------------------------------
r17455 | courmisch | 2006-11-04 07:18:24 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

Add some const

------------------------------------------------------------------------
r17450 | courmisch | 2006-11-04 06:37:26 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

Fix warning

------------------------------------------------------------------------
r17449 | courmisch | 2006-11-04 06:20:16 -0800 (Sat, 04 Nov 2006) | 4 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

- Fix quoting of IPv6 addresses in SAP source-filter
- Fix const warnings
- Remove dead code

------------------------------------------------------------------------
r17448 | courmisch | 2006-11-04 05:56:49 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/udp.c

Fix warning

------------------------------------------------------------------------
r17445 | funman | 2006-11-03 21:18:45 -0800 (Fri, 03 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Fixes gettext 0.16 in the contribs

------------------------------------------------------------------------
r17444 | funman | 2006-11-03 19:49:39 -0800 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /trunk/configure.ac

Uses C++ tests to detect mozilla headers
Fixes detection when using mingw

------------------------------------------------------------------------
r17443 | jb
 | 2006-11-03 17:17:43 -0800 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/gettext-MacOSX.patch

* trying to repair gettext 0.16 documentation on MacOS-X 


------------------------------------------------------------------------
r17442 | littlejohn | 2006-11-03 14:06:14 -0800 (Fri, 03 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/src/graphics-jni.cc
   M /trunk/bindings/java/src/video-jni.cc
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/video.c

Remove libvlc_set_video_drawable, libvlc_video_set_parent offers the same functionality
------------------------------------------------------------------------
r17439 | sigmunau | 2006-11-03 09:21:31 -0800 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

access_output/udp.c: Don't crash horribly when trying to send a packet
larger than the mtu in rtp mode

------------------------------------------------------------------------
r17433 | funman | 2006-11-02 16:19:05 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Removes a fucking UTF-8 character that looks like a space, smells like a space, but is far from being a space

------------------------------------------------------------------------
r17430 | funman | 2006-11-02 15:05:27 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.ac

Replaces check for xpidl by check for required mozilla headers

------------------------------------------------------------------------
r17426 | hartman | 2006-11-02 12:23:57 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/demux/mjpeg.c

* forwardport the mjpeg fix and the dvbsub color fixes

------------------------------------------------------------------------
r17425 | funman | 2006-11-02 12:22:36 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Revert [17400], uses the right header for gettimeofday

------------------------------------------------------------------------
r17424 | jb | 2006-11-02 11:29:03 -0800 (Thu, 02 Nov 2006) | 3 lines
Changed paths:
   D /trunk/extras/contrib/src/Patches/SDL.patch
   D /trunk/extras/contrib/src/Patches/libdvdread-win32.patch
   D /trunk/extras/contrib/src/Patches/libogg-1.1-win32.patch
   D /trunk/extras/contrib/src/Patches/vorbis.patch.cvs
   D /trunk/extras/contrib/src/Patches/wx-cvs-2005-02-09-patch.diff

Useless patches.


------------------------------------------------------------------------
r17423 | funman | 2006-11-02 11:27:57 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/Makefile

Cleans gecko-sdk too

------------------------------------------------------------------------
r17422 | Trax | 2006-11-02 11:08:13 -0800 (Thu, 02 Nov 2006) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/direct3d.c

* modules/video_output/directx/direct3d.c: add experimental support for I422 (RGB conversion is very CPU intensive).
------------------------------------------------------------------------
r17419 | courmisch | 2006-11-02 07:11:56 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c

Don't use a configure constant that we don't actually define

------------------------------------------------------------------------
r17418 | jb | 2006-11-01 17:53:28 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Disable speex on BeOs.


------------------------------------------------------------------------
r17417 | jb | 2006-11-01 17:49:52 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Forgotten file. Sorry.


------------------------------------------------------------------------
r17416 | jb | 2006-11-01 17:44:16 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   D /trunk/extras/contrib/src/Patches/gettext-macosx.patch
   M /trunk/extras/contrib/src/packages.mak

* Contrib : update version of gettext (it needs autoconf 2.60)


------------------------------------------------------------------------
r17412 | sigmunau | 2006-11-01 14:45:37 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/mux/avi.c

mux/avi.c: write '\0' rather than an uninitalized byte to output file.
Fixes one, but not all of valgrinds warnings relating to this

------------------------------------------------------------------------
r17411 | sigmunau | 2006-11-01 14:24:50 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/mux/avi.c

mux/avi.c: fixed a crash when trying to make audio only avi files.
Hopefully fixed a issue with the generated avi file in the same go

------------------------------------------------------------------------
r17410 | hartman | 2006-11-01 13:30:49 -0800 (Wed, 01 Nov 2006) | 5 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

* Fix a bug discovered by Chris Rath on seekable files that don't start from point 0.
    http://forum.videolan.org/viewtopic.php?t=27848
* Fix a few compiler warnings.


------------------------------------------------------------------------
r17409 | courmisch | 2006-11-01 13:03:53 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Support filenames outside the ANSI Code Page

------------------------------------------------------------------------
r17407 | hartman | 2006-11-01 12:54:51 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c

* Handle <ref></ref> ASX items 

------------------------------------------------------------------------
r17406 | courmisch | 2006-11-01 12:50:18 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Get rid of broken file-cat option (closes #807)

------------------------------------------------------------------------
r17405 | hartman | 2006-11-01 11:52:41 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

* Don't do intf-show after the last p_vout closes on OSX.

------------------------------------------------------------------------
r17404 | courmisch | 2006-11-01 11:49:04 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/src/network/getaddrinfo.c

Attempt to work-around the Winsock bug-of-the-day

------------------------------------------------------------------------
r17403 | littlejohn | 2006-11-01 08:44:13 -0800 (Wed, 01 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/src/graphics-jni.cc
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/video.c

avoid VLC_VariableSet to set the drawable, use libvlc_set_video_drawable instead.
------------------------------------------------------------------------
r17402 | dionoea | 2006-11-01 07:30:12 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/include/vlc_block.h

Add missing space in comment.

------------------------------------------------------------------------
r17401 | courmisch | 2006-11-01 07:15:44 -0800 (Wed, 01 Nov 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/file.c

- Revert [17394] which reintroduced TOCTOU issues
- Re-fix directory handling

------------------------------------------------------------------------
r17400 | xtophe | 2006-11-01 06:58:36 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Fix libgcrypt compil under cygwin. It doesn't have gettimeoftheday() and it's wongly detected, so force it. (from markfm 's debugging and googling)

------------------------------------------------------------------------
r17399 | littlejohn | 2006-11-01 03:25:05 -0800 (Wed, 01 Nov 2006) | 1 line
Changed paths:
   M /trunk/bindings/java/VLCExample.java
   M /trunk/bindings/java/src/video-jni.cc

setSize native function signature fixed
------------------------------------------------------------------------
r17396 | sam | 2006-11-01 01:20:20 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

  * Mouse motion and mouse click support in the libcaca vout.

------------------------------------------------------------------------
r17395 | funman | 2006-11-01 00:17:42 -0800 (Wed, 01 Nov 2006) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Removes useless sanity checks

------------------------------------------------------------------------
r17394 | funman | 2006-10-31 23:50:44 -0800 (Tue, 31 Oct 2006) | 3 lines
Changed paths:
   M /trunk/modules/access/file.c

Makes file plugin fail to access directories
Some sanity checks

------------------------------------------------------------------------
r17393 | dionoea | 2006-10-31 12:01:28 -0800 (Tue, 31 Oct 2006) | 2 lines
